/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.ifmib;
import com.ireasoning.protocol.snmp.*;
public class OIDTree
{
    private static OIDTreeNode _root = null;
    
    public static OIDTreeNode getTree()
    {
        if(_root != null) return _root;
        OIDTreeNode node_IF_MIB_0 = new OIDTreeNode("");
        node_IF_MIB_0.setMibNodeName("IF_MIB");
        OIDTreeNode node_iso_1 = (OIDTreeNode) node_IF_MIB_0.addChild(".1");
        node_iso_1.setMibNodeName("Iso");
        OIDTreeNode node_org_2 = (OIDTreeNode) node_iso_1.addChild(".1.3");
        node_org_2.setMibNodeName("Org");
        OIDTreeNode node_dod_3 = (OIDTreeNode) node_org_2.addChild(".1.3.6");
        node_dod_3.setMibNodeName("Dod");
        OIDTreeNode node_internet_4 = (OIDTreeNode) node_dod_3.addChild(".1.3.6.1");
        node_internet_4.setMibNodeName("Internet");
        OIDTreeNode node_mgmt_5 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.2");
        node_mgmt_5.setMibNodeName("Mgmt");
        OIDTreeNode node_mib_2_6 = (OIDTreeNode) node_mgmt_5.addChild(".1.3.6.1.2.1");
        node_mib_2_6.setMibNodeName("Mib_2");
        OIDTreeNode node_interfaces_7 = (OIDTreeNode) node_mib_2_6.addChild(".1.3.6.1.2.1.2");
        node_interfaces_7.setMibNodeName("Interfaces");
        OIDTreeNode node_ifNumber_8 = (OIDTreeNode) node_interfaces_7.addChild(".1.3.6.1.2.1.2.1.0");
        node_ifNumber_8.setMibNodeName("IfNumber");
        node_ifNumber_8.setGroupNode(true);
        node_ifNumber_8.setScalarNode(true);
        node_ifNumber_8.setRealSyntaxType( (byte) 2);
        node_ifNumber_8.setObjectName("iReasoning:name=InterfacesGroup");
        node_ifNumber_8.setAccess(2);
        OIDTreeNode node_ifTable_9 = addIfTable((OIDTreeNode) node_interfaces_7);
        OIDTreeNode node_ifMIB_33 = (OIDTreeNode) node_mib_2_6.addChild(".1.3.6.1.2.1.31");
        node_ifMIB_33.setMibNodeName("IfMIB");
        OIDTreeNode node_ifMIBObjects_34 = (OIDTreeNode) node_ifMIB_33.addChild(".1.3.6.1.2.1.31.1");
        node_ifMIBObjects_34.setMibNodeName("IfMIBObjects");
        node_ifMIBObjects_34.setGroupNode(true);
        OIDTreeNode node_ifXTable_35 = addIfXTable((OIDTreeNode) node_ifMIBObjects_34);
        OIDTreeNode node_ifStackTable_55 = addIfStackTable((OIDTreeNode) node_ifMIBObjects_34);
        OIDTreeNode node_ifTestTable_60 = addIfTestTable((OIDTreeNode) node_ifMIBObjects_34);
        OIDTreeNode node_ifRcvAddressTable_68 = addIfRcvAddressTable((OIDTreeNode) node_ifMIBObjects_34);
        OIDTreeNode node_ifTableLastChange_73 = (OIDTreeNode) node_ifMIBObjects_34.addChild(".1.3.6.1.2.1.31.1.5.0");
        node_ifTableLastChange_73.setMibNodeName("IfTableLastChange");
        node_ifTableLastChange_73.setGroupNode(true);
        node_ifTableLastChange_73.setScalarNode(true);
        node_ifTableLastChange_73.setRealSyntaxType( (byte) 7);
        node_ifTableLastChange_73.setObjectName("iReasoning:name=IfMIBObjectsGroup");
        node_ifTableLastChange_73.setAccess(2);
        OIDTreeNode node_ifStackLastChange_74 = (OIDTreeNode) node_ifMIBObjects_34.addChild(".1.3.6.1.2.1.31.1.6.0");
        node_ifStackLastChange_74.setMibNodeName("IfStackLastChange");
        node_ifStackLastChange_74.setGroupNode(true);
        node_ifStackLastChange_74.setScalarNode(true);
        node_ifStackLastChange_74.setRealSyntaxType( (byte) 7);
        node_ifStackLastChange_74.setObjectName("iReasoning:name=IfMIBObjectsGroup");
        node_ifStackLastChange_74.setAccess(2);
        OIDTreeNode node_ifConformance_75 = (OIDTreeNode) node_ifMIB_33.addChild(".1.3.6.1.2.1.31.2");
        node_ifConformance_75.setMibNodeName("IfConformance");
        node_ifConformance_75.setGroupNode(true);
        OIDTreeNode node_ifGroups_76 = (OIDTreeNode) node_ifConformance_75.addChild(".1.3.6.1.2.1.31.2.1");
        node_ifGroups_76.setMibNodeName("IfGroups");
        node_ifGroups_76.setGroupNode(true);
        OIDTreeNode node_ifGeneralGroup_77 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.1");
        node_ifGeneralGroup_77.setMibNodeName("IfGeneralGroup");
        node_ifGeneralGroup_77.setGroupNode(true);
        OIDTreeNode node_ifFixedLengthGroup_78 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.2");
        node_ifFixedLengthGroup_78.setMibNodeName("IfFixedLengthGroup");
        node_ifFixedLengthGroup_78.setGroupNode(true);
        OIDTreeNode node_ifHCFixedLengthGroup_79 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.3");
        node_ifHCFixedLengthGroup_79.setMibNodeName("IfHCFixedLengthGroup");
        node_ifHCFixedLengthGroup_79.setGroupNode(true);
        OIDTreeNode node_ifPacketGroup_80 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.4");
        node_ifPacketGroup_80.setMibNodeName("IfPacketGroup");
        node_ifPacketGroup_80.setGroupNode(true);
        OIDTreeNode node_ifHCPacketGroup_81 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.5");
        node_ifHCPacketGroup_81.setMibNodeName("IfHCPacketGroup");
        node_ifHCPacketGroup_81.setGroupNode(true);
        OIDTreeNode node_ifVHCPacketGroup_82 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.6");
        node_ifVHCPacketGroup_82.setMibNodeName("IfVHCPacketGroup");
        node_ifVHCPacketGroup_82.setGroupNode(true);
        OIDTreeNode node_ifRcvAddressGroup_83 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.7");
        node_ifRcvAddressGroup_83.setMibNodeName("IfRcvAddressGroup");
        node_ifRcvAddressGroup_83.setGroupNode(true);
        OIDTreeNode node_ifTestGroup_84 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.8");
        node_ifTestGroup_84.setMibNodeName("IfTestGroup");
        node_ifTestGroup_84.setGroupNode(true);
        OIDTreeNode node_ifStackGroup_85 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.9");
        node_ifStackGroup_85.setMibNodeName("IfStackGroup");
        node_ifStackGroup_85.setGroupNode(true);
        OIDTreeNode node_ifGeneralInformationGroup_86 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.10");
        node_ifGeneralInformationGroup_86.setMibNodeName("IfGeneralInformationGroup");
        node_ifGeneralInformationGroup_86.setGroupNode(true);
        OIDTreeNode node_ifStackGroup2_87 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.11");
        node_ifStackGroup2_87.setMibNodeName("IfStackGroup2");
        node_ifStackGroup2_87.setGroupNode(true);
        OIDTreeNode node_ifOldObjectsGroup_88 = (OIDTreeNode) node_ifGroups_76.addChild(".1.3.6.1.2.1.31.2.1.12");
        node_ifOldObjectsGroup_88.setMibNodeName("IfOldObjectsGroup");
        node_ifOldObjectsGroup_88.setGroupNode(true);
        OIDTreeNode node_ifCompliances_89 = (OIDTreeNode) node_ifConformance_75.addChild(".1.3.6.1.2.1.31.2.2");
        node_ifCompliances_89.setMibNodeName("IfCompliances");
        node_ifCompliances_89.setGroupNode(true);
        OIDTreeNode node_ifCompliance_90 = (OIDTreeNode) node_ifCompliances_89.addChild(".1.3.6.1.2.1.31.2.2.1");
        node_ifCompliance_90.setMibNodeName("IfCompliance");
        node_ifCompliance_90.setGroupNode(true);
        OIDTreeNode node_ifCompliance2_91 = (OIDTreeNode) node_ifCompliances_89.addChild(".1.3.6.1.2.1.31.2.2.2");
        node_ifCompliance2_91.setMibNodeName("IfCompliance2");
        node_ifCompliance2_91.setGroupNode(true);
        OIDTreeNode node_snmpV2_92 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.6");
        node_snmpV2_92.setMibNodeName("SnmpV2");
        OIDTreeNode node_snmpModules_93 = (OIDTreeNode) node_snmpV2_92.addChild(".1.3.6.1.6.3");
        node_snmpModules_93.setMibNodeName("SnmpModules");
        OIDTreeNode node_snmpMIB_94 = (OIDTreeNode) node_snmpModules_93.addChild(".1.3.6.1.6.3.1");
        node_snmpMIB_94.setMibNodeName("SnmpMIB");
        OIDTreeNode node_snmpMIBObjects_95 = (OIDTreeNode) node_snmpMIB_94.addChild(".1.3.6.1.6.3.1.1");
        node_snmpMIBObjects_95.setMibNodeName("SnmpMIBObjects");
        node_snmpMIBObjects_95.setGroupNode(true);
        OIDTreeNode node_snmpTraps_96 = (OIDTreeNode) node_snmpMIBObjects_95.addChild(".1.3.6.1.6.3.1.1.5");
        node_snmpTraps_96.setMibNodeName("SnmpTraps");
        node_snmpTraps_96.setGroupNode(true);
        OIDTreeNode node_coldStart_97 = (OIDTreeNode) node_snmpTraps_96.addChild(".1.3.6.1.6.3.1.1.5.1");
        node_coldStart_97.setMibNodeName("ColdStart");
        node_coldStart_97.setGroupNode(true);
        OIDTreeNode node_warmStart_98 = (OIDTreeNode) node_snmpTraps_96.addChild(".1.3.6.1.6.3.1.1.5.2");
        node_warmStart_98.setMibNodeName("WarmStart");
        node_warmStart_98.setGroupNode(true);
        OIDTreeNode node_linkDown_99 = (OIDTreeNode) node_snmpTraps_96.addChild(".1.3.6.1.6.3.1.1.5.3");
        node_linkDown_99.setMibNodeName("LinkDown");
        node_linkDown_99.setGroupNode(true);
        OIDTreeNode node_linkUp_100 = (OIDTreeNode) node_snmpTraps_96.addChild(".1.3.6.1.6.3.1.1.5.4");
        node_linkUp_100.setMibNodeName("LinkUp");
        node_linkUp_100.setGroupNode(true);
        OIDTreeNode node_authenticationFailure_101 = (OIDTreeNode) node_snmpTraps_96.addChild(".1.3.6.1.6.3.1.1.5.5");
        node_authenticationFailure_101.setMibNodeName("AuthenticationFailure");
        node_authenticationFailure_101.setGroupNode(true);
        OIDTreeNode node_snmpSet_102 = (OIDTreeNode) node_snmpMIBObjects_95.addChild(".1.3.6.1.6.3.1.1.6");
        node_snmpSet_102.setMibNodeName("SnmpSet");
        node_snmpSet_102.setGroupNode(true);
        OIDTreeNode node_snmpSetSerialNo_103 = (OIDTreeNode) node_snmpSet_102.addChild(".1.3.6.1.6.3.1.1.6.1.0");
        node_snmpSetSerialNo_103.setMibNodeName("SnmpSetSerialNo");
        node_snmpSetSerialNo_103.setGroupNode(true);
        node_snmpSetSerialNo_103.setScalarNode(true);
        node_snmpSetSerialNo_103.setRealSyntaxType( (byte) 2);
        node_snmpSetSerialNo_103.setObjectName("iReasoning:name=SnmpSetGroup");
        node_snmpSetSerialNo_103.setAccess(3);
        _root = node_IF_MIB_0 ;
        return node_IF_MIB_0;
    }
    
    private static OIDTreeNode addIfTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifTable_9 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.2.2");
        node_ifTable_9.setMibNodeName("IfTable");
        node_ifTable_9.setObjectName("iReasoning:name=IfTable");
        node_ifTable_9.setTableNode(true);
        OIDTreeNode node_ifEntry_10 = (OIDTreeNode) node_ifTable_9.addChild(".1.3.6.1.2.1.2.2.1");
        node_ifEntry_10.setMibNodeName("IfEntry");
        
        OIDTreeNode node_ifIndex_11 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.1");
        node_ifIndex_11.setMibNodeName("IfIndex");
        node_ifIndex_11.setTableColumnNode(true);
        node_ifIndex_11.setRealSyntaxType( (byte) 2);
        node_ifIndex_11.setAccess(2);
        OIDTreeNode node_ifDescr_12 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.2");
        node_ifDescr_12.setMibNodeName("IfDescr");
        node_ifDescr_12.setTableColumnNode(true);
        node_ifDescr_12.setRealSyntaxType( (byte) 1);
        node_ifDescr_12.setAccess(2);
        OIDTreeNode node_ifType_13 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.3");
        node_ifType_13.setMibNodeName("IfType");
        node_ifType_13.setTableColumnNode(true);
        node_ifType_13.setRealSyntaxType( (byte) 2);
        node_ifType_13.setAccess(2);
        OIDTreeNode node_ifMtu_14 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.4");
        node_ifMtu_14.setMibNodeName("IfMtu");
        node_ifMtu_14.setTableColumnNode(true);
        node_ifMtu_14.setRealSyntaxType( (byte) 2);
        node_ifMtu_14.setAccess(2);
        OIDTreeNode node_ifSpeed_15 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.5");
        node_ifSpeed_15.setMibNodeName("IfSpeed");
        node_ifSpeed_15.setTableColumnNode(true);
        node_ifSpeed_15.setRealSyntaxType( (byte) 4);
        node_ifSpeed_15.setAccess(2);
        OIDTreeNode node_ifPhysAddress_16 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.6");
        node_ifPhysAddress_16.setMibNodeName("IfPhysAddress");
        node_ifPhysAddress_16.setTableColumnNode(true);
        node_ifPhysAddress_16.setRealSyntaxType( (byte) 1);
        node_ifPhysAddress_16.setAccess(2);
        OIDTreeNode node_ifAdminStatus_17 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.7");
        node_ifAdminStatus_17.setMibNodeName("IfAdminStatus");
        node_ifAdminStatus_17.setTableColumnNode(true);
        node_ifAdminStatus_17.setRealSyntaxType( (byte) 2);
        node_ifAdminStatus_17.setAccess(3);
        OIDTreeNode node_ifOperStatus_18 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.8");
        node_ifOperStatus_18.setMibNodeName("IfOperStatus");
        node_ifOperStatus_18.setTableColumnNode(true);
        node_ifOperStatus_18.setRealSyntaxType( (byte) 2);
        node_ifOperStatus_18.setAccess(2);
        OIDTreeNode node_ifLastChange_19 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.9");
        node_ifLastChange_19.setMibNodeName("IfLastChange");
        node_ifLastChange_19.setTableColumnNode(true);
        node_ifLastChange_19.setRealSyntaxType( (byte) 7);
        node_ifLastChange_19.setAccess(2);
        OIDTreeNode node_ifInOctets_20 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.10");
        node_ifInOctets_20.setMibNodeName("IfInOctets");
        node_ifInOctets_20.setTableColumnNode(true);
        node_ifInOctets_20.setRealSyntaxType( (byte) 5);
        node_ifInOctets_20.setAccess(2);
        OIDTreeNode node_ifInUcastPkts_21 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.11");
        node_ifInUcastPkts_21.setMibNodeName("IfInUcastPkts");
        node_ifInUcastPkts_21.setTableColumnNode(true);
        node_ifInUcastPkts_21.setRealSyntaxType( (byte) 5);
        node_ifInUcastPkts_21.setAccess(2);
        OIDTreeNode node_ifInNUcastPkts_22 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.12");
        node_ifInNUcastPkts_22.setMibNodeName("IfInNUcastPkts");
        node_ifInNUcastPkts_22.setTableColumnNode(true);
        node_ifInNUcastPkts_22.setRealSyntaxType( (byte) 5);
        node_ifInNUcastPkts_22.setAccess(2);
        OIDTreeNode node_ifInDiscards_23 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.13");
        node_ifInDiscards_23.setMibNodeName("IfInDiscards");
        node_ifInDiscards_23.setTableColumnNode(true);
        node_ifInDiscards_23.setRealSyntaxType( (byte) 5);
        node_ifInDiscards_23.setAccess(2);
        OIDTreeNode node_ifInErrors_24 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.14");
        node_ifInErrors_24.setMibNodeName("IfInErrors");
        node_ifInErrors_24.setTableColumnNode(true);
        node_ifInErrors_24.setRealSyntaxType( (byte) 5);
        node_ifInErrors_24.setAccess(2);
        OIDTreeNode node_ifInUnknownProtos_25 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.15");
        node_ifInUnknownProtos_25.setMibNodeName("IfInUnknownProtos");
        node_ifInUnknownProtos_25.setTableColumnNode(true);
        node_ifInUnknownProtos_25.setRealSyntaxType( (byte) 5);
        node_ifInUnknownProtos_25.setAccess(2);
        OIDTreeNode node_ifOutOctets_26 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.16");
        node_ifOutOctets_26.setMibNodeName("IfOutOctets");
        node_ifOutOctets_26.setTableColumnNode(true);
        node_ifOutOctets_26.setRealSyntaxType( (byte) 5);
        node_ifOutOctets_26.setAccess(2);
        OIDTreeNode node_ifOutUcastPkts_27 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.17");
        node_ifOutUcastPkts_27.setMibNodeName("IfOutUcastPkts");
        node_ifOutUcastPkts_27.setTableColumnNode(true);
        node_ifOutUcastPkts_27.setRealSyntaxType( (byte) 5);
        node_ifOutUcastPkts_27.setAccess(2);
        OIDTreeNode node_ifOutNUcastPkts_28 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.18");
        node_ifOutNUcastPkts_28.setMibNodeName("IfOutNUcastPkts");
        node_ifOutNUcastPkts_28.setTableColumnNode(true);
        node_ifOutNUcastPkts_28.setRealSyntaxType( (byte) 5);
        node_ifOutNUcastPkts_28.setAccess(2);
        OIDTreeNode node_ifOutDiscards_29 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.19");
        node_ifOutDiscards_29.setMibNodeName("IfOutDiscards");
        node_ifOutDiscards_29.setTableColumnNode(true);
        node_ifOutDiscards_29.setRealSyntaxType( (byte) 5);
        node_ifOutDiscards_29.setAccess(2);
        OIDTreeNode node_ifOutErrors_30 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.20");
        node_ifOutErrors_30.setMibNodeName("IfOutErrors");
        node_ifOutErrors_30.setTableColumnNode(true);
        node_ifOutErrors_30.setRealSyntaxType( (byte) 5);
        node_ifOutErrors_30.setAccess(2);
        OIDTreeNode node_ifOutQLen_31 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.21");
        node_ifOutQLen_31.setMibNodeName("IfOutQLen");
        node_ifOutQLen_31.setTableColumnNode(true);
        node_ifOutQLen_31.setRealSyntaxType( (byte) 4);
        node_ifOutQLen_31.setAccess(2);
        OIDTreeNode node_ifSpecific_32 = (OIDTreeNode) node_ifEntry_10.addChild(".1.3.6.1.2.1.2.2.1.22");
        node_ifSpecific_32.setMibNodeName("IfSpecific");
        node_ifSpecific_32.setTableColumnNode(true);
        node_ifSpecific_32.setRealSyntaxType( (byte) 0);
        node_ifSpecific_32.setAccess(2);
        
        return node_ifTable_9;
    }
    
    private static OIDTreeNode addIfXTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifXTable_35 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.31.1.1");
        node_ifXTable_35.setMibNodeName("IfXTable");
        node_ifXTable_35.setObjectName("iReasoning:name=IfXTable");
        node_ifXTable_35.setTableNode(true);
        OIDTreeNode node_ifXEntry_36 = (OIDTreeNode) node_ifXTable_35.addChild(".1.3.6.1.2.1.31.1.1.1");
        node_ifXEntry_36.setMibNodeName("IfXEntry");
        
        OIDTreeNode node_ifName_37 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.1");
        node_ifName_37.setMibNodeName("IfName");
        node_ifName_37.setTableColumnNode(true);
        node_ifName_37.setRealSyntaxType( (byte) 1);
        node_ifName_37.setAccess(2);
        OIDTreeNode node_ifInMulticastPkts_38 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.2");
        node_ifInMulticastPkts_38.setMibNodeName("IfInMulticastPkts");
        node_ifInMulticastPkts_38.setTableColumnNode(true);
        node_ifInMulticastPkts_38.setRealSyntaxType( (byte) 5);
        node_ifInMulticastPkts_38.setAccess(2);
        OIDTreeNode node_ifInBroadcastPkts_39 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.3");
        node_ifInBroadcastPkts_39.setMibNodeName("IfInBroadcastPkts");
        node_ifInBroadcastPkts_39.setTableColumnNode(true);
        node_ifInBroadcastPkts_39.setRealSyntaxType( (byte) 5);
        node_ifInBroadcastPkts_39.setAccess(2);
        OIDTreeNode node_ifOutMulticastPkts_40 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.4");
        node_ifOutMulticastPkts_40.setMibNodeName("IfOutMulticastPkts");
        node_ifOutMulticastPkts_40.setTableColumnNode(true);
        node_ifOutMulticastPkts_40.setRealSyntaxType( (byte) 5);
        node_ifOutMulticastPkts_40.setAccess(2);
        OIDTreeNode node_ifOutBroadcastPkts_41 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.5");
        node_ifOutBroadcastPkts_41.setMibNodeName("IfOutBroadcastPkts");
        node_ifOutBroadcastPkts_41.setTableColumnNode(true);
        node_ifOutBroadcastPkts_41.setRealSyntaxType( (byte) 5);
        node_ifOutBroadcastPkts_41.setAccess(2);
        OIDTreeNode node_ifHCInOctets_42 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.6");
        node_ifHCInOctets_42.setMibNodeName("IfHCInOctets");
        node_ifHCInOctets_42.setTableColumnNode(true);
        node_ifHCInOctets_42.setRealSyntaxType( (byte) 6);
        node_ifHCInOctets_42.setAccess(2);
        OIDTreeNode node_ifHCInUcastPkts_43 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.7");
        node_ifHCInUcastPkts_43.setMibNodeName("IfHCInUcastPkts");
        node_ifHCInUcastPkts_43.setTableColumnNode(true);
        node_ifHCInUcastPkts_43.setRealSyntaxType( (byte) 6);
        node_ifHCInUcastPkts_43.setAccess(2);
        OIDTreeNode node_ifHCInMulticastPkts_44 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.8");
        node_ifHCInMulticastPkts_44.setMibNodeName("IfHCInMulticastPkts");
        node_ifHCInMulticastPkts_44.setTableColumnNode(true);
        node_ifHCInMulticastPkts_44.setRealSyntaxType( (byte) 6);
        node_ifHCInMulticastPkts_44.setAccess(2);
        OIDTreeNode node_ifHCInBroadcastPkts_45 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.9");
        node_ifHCInBroadcastPkts_45.setMibNodeName("IfHCInBroadcastPkts");
        node_ifHCInBroadcastPkts_45.setTableColumnNode(true);
        node_ifHCInBroadcastPkts_45.setRealSyntaxType( (byte) 6);
        node_ifHCInBroadcastPkts_45.setAccess(2);
        OIDTreeNode node_ifHCOutOctets_46 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.10");
        node_ifHCOutOctets_46.setMibNodeName("IfHCOutOctets");
        node_ifHCOutOctets_46.setTableColumnNode(true);
        node_ifHCOutOctets_46.setRealSyntaxType( (byte) 6);
        node_ifHCOutOctets_46.setAccess(2);
        OIDTreeNode node_ifHCOutUcastPkts_47 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.11");
        node_ifHCOutUcastPkts_47.setMibNodeName("IfHCOutUcastPkts");
        node_ifHCOutUcastPkts_47.setTableColumnNode(true);
        node_ifHCOutUcastPkts_47.setRealSyntaxType( (byte) 6);
        node_ifHCOutUcastPkts_47.setAccess(2);
        OIDTreeNode node_ifHCOutMulticastPkts_48 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.12");
        node_ifHCOutMulticastPkts_48.setMibNodeName("IfHCOutMulticastPkts");
        node_ifHCOutMulticastPkts_48.setTableColumnNode(true);
        node_ifHCOutMulticastPkts_48.setRealSyntaxType( (byte) 6);
        node_ifHCOutMulticastPkts_48.setAccess(2);
        OIDTreeNode node_ifHCOutBroadcastPkts_49 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.13");
        node_ifHCOutBroadcastPkts_49.setMibNodeName("IfHCOutBroadcastPkts");
        node_ifHCOutBroadcastPkts_49.setTableColumnNode(true);
        node_ifHCOutBroadcastPkts_49.setRealSyntaxType( (byte) 6);
        node_ifHCOutBroadcastPkts_49.setAccess(2);
        OIDTreeNode node_ifLinkUpDownTrapEnable_50 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.14");
        node_ifLinkUpDownTrapEnable_50.setMibNodeName("IfLinkUpDownTrapEnable");
        node_ifLinkUpDownTrapEnable_50.setTableColumnNode(true);
        node_ifLinkUpDownTrapEnable_50.setRealSyntaxType( (byte) 2);
        node_ifLinkUpDownTrapEnable_50.setAccess(3);
        OIDTreeNode node_ifHighSpeed_51 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.15");
        node_ifHighSpeed_51.setMibNodeName("IfHighSpeed");
        node_ifHighSpeed_51.setTableColumnNode(true);
        node_ifHighSpeed_51.setRealSyntaxType( (byte) 4);
        node_ifHighSpeed_51.setAccess(2);
        OIDTreeNode node_ifPromiscuousMode_52 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.16");
        node_ifPromiscuousMode_52.setMibNodeName("IfPromiscuousMode");
        node_ifPromiscuousMode_52.setTableColumnNode(true);
        node_ifPromiscuousMode_52.setRealSyntaxType( (byte) 2);
        node_ifPromiscuousMode_52.setAccess(3);
        OIDTreeNode node_ifConnectorPresent_53 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.17");
        node_ifConnectorPresent_53.setMibNodeName("IfConnectorPresent");
        node_ifConnectorPresent_53.setTableColumnNode(true);
        node_ifConnectorPresent_53.setRealSyntaxType( (byte) 2);
        node_ifConnectorPresent_53.setAccess(2);
        OIDTreeNode node_ifAlias_54 = (OIDTreeNode) node_ifXEntry_36.addChild(".1.3.6.1.2.1.31.1.1.1.18");
        node_ifAlias_54.setMibNodeName("IfAlias");
        node_ifAlias_54.setTableColumnNode(true);
        node_ifAlias_54.setRealSyntaxType( (byte) 1);
        node_ifAlias_54.setAccess(3);
        
        return node_ifXTable_35;
    }
    
    private static OIDTreeNode addIfStackTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifStackTable_55 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.31.1.2");
        node_ifStackTable_55.setMibNodeName("IfStackTable");
        node_ifStackTable_55.setObjectName("iReasoning:name=IfStackTable");
        node_ifStackTable_55.setTableNode(true);
        node_ifStackTable_55.setRowStatusOID( new SnmpOID(".1.3.6.1.2.1.31.1.2.1.3" ));
        OIDTreeNode node_ifStackEntry_56 = (OIDTreeNode) node_ifStackTable_55.addChild(".1.3.6.1.2.1.31.1.2.1");
        node_ifStackEntry_56.setMibNodeName("IfStackEntry");
        
        OIDTreeNode node_ifStackHigherLayer_57 = (OIDTreeNode) node_ifStackEntry_56.addChild(".1.3.6.1.2.1.31.1.2.1.1");
        node_ifStackHigherLayer_57.setMibNodeName("IfStackHigherLayer");
        node_ifStackHigherLayer_57.setTableColumnNode(true);
        node_ifStackHigherLayer_57.setRealSyntaxType( (byte) 2);
        node_ifStackHigherLayer_57.setAccess(0);
        OIDTreeNode node_ifStackLowerLayer_58 = (OIDTreeNode) node_ifStackEntry_56.addChild(".1.3.6.1.2.1.31.1.2.1.2");
        node_ifStackLowerLayer_58.setMibNodeName("IfStackLowerLayer");
        node_ifStackLowerLayer_58.setTableColumnNode(true);
        node_ifStackLowerLayer_58.setRealSyntaxType( (byte) 2);
        node_ifStackLowerLayer_58.setAccess(0);
        OIDTreeNode node_ifStackStatus_59 = (OIDTreeNode) node_ifStackEntry_56.addChild(".1.3.6.1.2.1.31.1.2.1.3");
        node_ifStackStatus_59.setMibNodeName("IfStackStatus");
        node_ifStackStatus_59.setTableColumnNode(true);
        node_ifStackStatus_59.setRealSyntaxType( (byte) 2);
        node_ifStackStatus_59.setAccess(4);
        
        return node_ifStackTable_55;
    }
    
    private static OIDTreeNode addIfTestTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifTestTable_60 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.31.1.3");
        node_ifTestTable_60.setMibNodeName("IfTestTable");
        node_ifTestTable_60.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestTable_60.setTableNode(true);
        OIDTreeNode node_ifTestEntry_61 = (OIDTreeNode) node_ifTestTable_60.addChild(".1.3.6.1.2.1.31.1.3.1");
        node_ifTestEntry_61.setMibNodeName("IfTestEntry");
        
        OIDTreeNode node_ifTestId_62 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.1");
        node_ifTestId_62.setMibNodeName("IfTestId");
        node_ifTestId_62.setTableColumnNode(true);
        node_ifTestId_62.setRealSyntaxType( (byte) 2);
        node_ifTestId_62.setAccess(3);
        OIDTreeNode node_ifTestStatus_63 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.2");
        node_ifTestStatus_63.setMibNodeName("IfTestStatus");
        node_ifTestStatus_63.setTableColumnNode(true);
        node_ifTestStatus_63.setRealSyntaxType( (byte) 2);
        node_ifTestStatus_63.setAccess(3);
        OIDTreeNode node_ifTestType_64 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.3");
        node_ifTestType_64.setMibNodeName("IfTestType");
        node_ifTestType_64.setTableColumnNode(true);
        node_ifTestType_64.setRealSyntaxType( (byte) 0);
        node_ifTestType_64.setAccess(3);
        OIDTreeNode node_ifTestResult_65 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.4");
        node_ifTestResult_65.setMibNodeName("IfTestResult");
        node_ifTestResult_65.setTableColumnNode(true);
        node_ifTestResult_65.setRealSyntaxType( (byte) 2);
        node_ifTestResult_65.setAccess(2);
        OIDTreeNode node_ifTestCode_66 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.5");
        node_ifTestCode_66.setMibNodeName("IfTestCode");
        node_ifTestCode_66.setTableColumnNode(true);
        node_ifTestCode_66.setRealSyntaxType( (byte) 0);
        node_ifTestCode_66.setAccess(2);
        OIDTreeNode node_ifTestOwner_67 = (OIDTreeNode) node_ifTestEntry_61.addChild(".1.3.6.1.2.1.31.1.3.1.6");
        node_ifTestOwner_67.setMibNodeName("IfTestOwner");
        node_ifTestOwner_67.setTableColumnNode(true);
        node_ifTestOwner_67.setRealSyntaxType( (byte) 1);
        node_ifTestOwner_67.setAccess(3);
        
        return node_ifTestTable_60;
    }
    
    private static OIDTreeNode addIfRcvAddressTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifRcvAddressTable_68 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.31.1.4");
        node_ifRcvAddressTable_68.setMibNodeName("IfRcvAddressTable");
        node_ifRcvAddressTable_68.setObjectName("iReasoning:name=IfRcvAddressTable");
        node_ifRcvAddressTable_68.setTableNode(true);
        node_ifRcvAddressTable_68.setRowStatusOID( new SnmpOID(".1.3.6.1.2.1.31.1.4.1.2" ));
        OIDTreeNode node_ifRcvAddressEntry_69 = (OIDTreeNode) node_ifRcvAddressTable_68.addChild(".1.3.6.1.2.1.31.1.4.1");
        node_ifRcvAddressEntry_69.setMibNodeName("IfRcvAddressEntry");
        
        OIDTreeNode node_ifRcvAddressAddress_70 = (OIDTreeNode) node_ifRcvAddressEntry_69.addChild(".1.3.6.1.2.1.31.1.4.1.1");
        node_ifRcvAddressAddress_70.setMibNodeName("IfRcvAddressAddress");
        node_ifRcvAddressAddress_70.setTableColumnNode(true);
        node_ifRcvAddressAddress_70.setRealSyntaxType( (byte) 1);
        node_ifRcvAddressAddress_70.setAccess(0);
        OIDTreeNode node_ifRcvAddressStatus_71 = (OIDTreeNode) node_ifRcvAddressEntry_69.addChild(".1.3.6.1.2.1.31.1.4.1.2");
        node_ifRcvAddressStatus_71.setMibNodeName("IfRcvAddressStatus");
        node_ifRcvAddressStatus_71.setTableColumnNode(true);
        node_ifRcvAddressStatus_71.setRealSyntaxType( (byte) 2);
        node_ifRcvAddressStatus_71.setAccess(4);
        OIDTreeNode node_ifRcvAddressType_72 = (OIDTreeNode) node_ifRcvAddressEntry_69.addChild(".1.3.6.1.2.1.31.1.4.1.3");
        node_ifRcvAddressType_72.setMibNodeName("IfRcvAddressType");
        node_ifRcvAddressType_72.setTableColumnNode(true);
        node_ifRcvAddressType_72.setRealSyntaxType( (byte) 2);
        node_ifRcvAddressType_72.setAccess(4);
        
        return node_ifRcvAddressTable_68;
    }
    
}
