/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.master;
import com.ireasoning.protocol.snmp.*;
public class OIDTree
{
    private static OIDTreeNode _root = null;
    
    public static OIDTreeNode getTree()
    {
        if(_root != null) return _root;
        OIDTreeNode node_IF_MIB = new OIDTreeNode("");
        node_IF_MIB.setMibNodeName("IF_MIB");
        OIDTreeNode node_iso = (OIDTreeNode) node_IF_MIB.addChild(".1");
        node_iso.setMibNodeName("Iso");
        OIDTreeNode node_org = (OIDTreeNode) node_iso.addChild(".1.3");
        node_org.setMibNodeName("Org");
        OIDTreeNode node_dod = (OIDTreeNode) node_org.addChild(".1.3.6");
        node_dod.setMibNodeName("Dod");
        OIDTreeNode node_internet = (OIDTreeNode) node_dod.addChild(".1.3.6.1");
        node_internet.setMibNodeName("Internet");
        OIDTreeNode node_mgmt = (OIDTreeNode) node_internet.addChild(".1.3.6.1.2");
        node_mgmt.setMibNodeName("Mgmt");
        OIDTreeNode node_mib_2 = (OIDTreeNode) node_mgmt.addChild(".1.3.6.1.2.1");
        node_mib_2.setMibNodeName("Mib_2");
        OIDTreeNode node_interfaces = (OIDTreeNode) node_mib_2.addChild(".1.3.6.1.2.1.2");
        node_interfaces.setMibNodeName("Interfaces");
        OIDTreeNode node_ifNumber = (OIDTreeNode) node_interfaces.addChild(".1.3.6.1.2.1.2.1.0");
        node_ifNumber.setMibNodeName("IfNumber");
        node_ifNumber.setScalarNode(true);
        node_ifNumber.setRealSyntaxType( (byte) 2);
        node_ifNumber.setObjectName("iReasoning:name=InterfacesGroup");
        node_ifNumber.setAccess(2);
        OIDTreeNode node_ifTable = (OIDTreeNode) node_interfaces.addChild(".1.3.6.1.2.1.2.2");
        node_ifTable.setMibNodeName("IfTable");
        node_ifTable.setObjectName("iReasoning:name=IfTable");
        node_ifTable.setTableNode(true);
        OIDTreeNode node_ifEntry = (OIDTreeNode) node_ifTable.addChild(".1.3.6.1.2.1.2.2.1");
        node_ifEntry.setMibNodeName("IfEntry");
        OIDTreeNode node_ifIndex = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.1");
        node_ifIndex.setMibNodeName("IfIndex");
        node_ifIndex.setTableColumnNode(true);
        node_ifIndex.setRealSyntaxType( (byte) 2);
        node_ifIndex.setObjectName("iReasoning:name=IfTable");
        node_ifIndex.setAccess(2);
        OIDTreeNode node_ifDescr = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.2");
        node_ifDescr.setMibNodeName("IfDescr");
        node_ifDescr.setTableColumnNode(true);
        node_ifDescr.setRealSyntaxType( (byte) 1);
        node_ifDescr.setObjectName("iReasoning:name=IfTable");
        node_ifDescr.setAccess(2);
        OIDTreeNode node_ifType = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.3");
        node_ifType.setMibNodeName("IfType");
        node_ifType.setTableColumnNode(true);
        node_ifType.setRealSyntaxType( (byte) 2);
        node_ifType.setObjectName("iReasoning:name=IfTable");
        node_ifType.setAccess(2);
        OIDTreeNode node_ifMtu = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.4");
        node_ifMtu.setMibNodeName("IfMtu");
        node_ifMtu.setTableColumnNode(true);
        node_ifMtu.setRealSyntaxType( (byte) 2);
        node_ifMtu.setObjectName("iReasoning:name=IfTable");
        node_ifMtu.setAccess(2);
        OIDTreeNode node_ifSpeed = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.5");
        node_ifSpeed.setMibNodeName("IfSpeed");
        node_ifSpeed.setTableColumnNode(true);
        node_ifSpeed.setRealSyntaxType( (byte) 4);
        node_ifSpeed.setObjectName("iReasoning:name=IfTable");
        node_ifSpeed.setAccess(2);
        OIDTreeNode node_ifPhysAddress = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.6");
        node_ifPhysAddress.setMibNodeName("IfPhysAddress");
        node_ifPhysAddress.setTableColumnNode(true);
        node_ifPhysAddress.setRealSyntaxType( (byte) 1);
        node_ifPhysAddress.setObjectName("iReasoning:name=IfTable");
        node_ifPhysAddress.setAccess(2);
        OIDTreeNode node_ifAdminStatus = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.7");
        node_ifAdminStatus.setMibNodeName("IfAdminStatus");
        node_ifAdminStatus.setTableColumnNode(true);
        node_ifAdminStatus.setRealSyntaxType( (byte) 2);
        node_ifAdminStatus.setObjectName("iReasoning:name=IfTable");
        node_ifAdminStatus.setAccess(3);
        OIDTreeNode node_ifOperStatus = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.8");
        node_ifOperStatus.setMibNodeName("IfOperStatus");
        node_ifOperStatus.setTableColumnNode(true);
        node_ifOperStatus.setRealSyntaxType( (byte) 2);
        node_ifOperStatus.setObjectName("iReasoning:name=IfTable");
        node_ifOperStatus.setAccess(2);
        OIDTreeNode node_ifLastChange = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.9");
        node_ifLastChange.setMibNodeName("IfLastChange");
        node_ifLastChange.setTableColumnNode(true);
        node_ifLastChange.setRealSyntaxType( (byte) 7);
        node_ifLastChange.setObjectName("iReasoning:name=IfTable");
        node_ifLastChange.setAccess(2);
        OIDTreeNode node_ifInOctets = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.10");
        node_ifInOctets.setMibNodeName("IfInOctets");
        node_ifInOctets.setTableColumnNode(true);
        node_ifInOctets.setRealSyntaxType( (byte) 5);
        node_ifInOctets.setObjectName("iReasoning:name=IfTable");
        node_ifInOctets.setAccess(2);
        OIDTreeNode node_ifInUcastPkts = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.11");
        node_ifInUcastPkts.setMibNodeName("IfInUcastPkts");
        node_ifInUcastPkts.setTableColumnNode(true);
        node_ifInUcastPkts.setRealSyntaxType( (byte) 5);
        node_ifInUcastPkts.setObjectName("iReasoning:name=IfTable");
        node_ifInUcastPkts.setAccess(2);
        OIDTreeNode node_ifInNUcastPkts = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.12");
        node_ifInNUcastPkts.setMibNodeName("IfInNUcastPkts");
        node_ifInNUcastPkts.setTableColumnNode(true);
        node_ifInNUcastPkts.setRealSyntaxType( (byte) 5);
        node_ifInNUcastPkts.setObjectName("iReasoning:name=IfTable");
        node_ifInNUcastPkts.setAccess(2);
        OIDTreeNode node_ifInDiscards = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.13");
        node_ifInDiscards.setMibNodeName("IfInDiscards");
        node_ifInDiscards.setTableColumnNode(true);
        node_ifInDiscards.setRealSyntaxType( (byte) 5);
        node_ifInDiscards.setObjectName("iReasoning:name=IfTable");
        node_ifInDiscards.setAccess(2);
        OIDTreeNode node_ifInErrors = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.14");
        node_ifInErrors.setMibNodeName("IfInErrors");
        node_ifInErrors.setTableColumnNode(true);
        node_ifInErrors.setRealSyntaxType( (byte) 5);
        node_ifInErrors.setObjectName("iReasoning:name=IfTable");
        node_ifInErrors.setAccess(2);
        OIDTreeNode node_ifInUnknownProtos = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.15");
        node_ifInUnknownProtos.setMibNodeName("IfInUnknownProtos");
        node_ifInUnknownProtos.setTableColumnNode(true);
        node_ifInUnknownProtos.setRealSyntaxType( (byte) 5);
        node_ifInUnknownProtos.setObjectName("iReasoning:name=IfTable");
        node_ifInUnknownProtos.setAccess(2);
        OIDTreeNode node_ifOutOctets = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.16");
        node_ifOutOctets.setMibNodeName("IfOutOctets");
        node_ifOutOctets.setTableColumnNode(true);
        node_ifOutOctets.setRealSyntaxType( (byte) 5);
        node_ifOutOctets.setObjectName("iReasoning:name=IfTable");
        node_ifOutOctets.setAccess(2);
        OIDTreeNode node_ifOutUcastPkts = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.17");
        node_ifOutUcastPkts.setMibNodeName("IfOutUcastPkts");
        node_ifOutUcastPkts.setTableColumnNode(true);
        node_ifOutUcastPkts.setRealSyntaxType( (byte) 5);
        node_ifOutUcastPkts.setObjectName("iReasoning:name=IfTable");
        node_ifOutUcastPkts.setAccess(2);
        OIDTreeNode node_ifOutNUcastPkts = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.18");
        node_ifOutNUcastPkts.setMibNodeName("IfOutNUcastPkts");
        node_ifOutNUcastPkts.setTableColumnNode(true);
        node_ifOutNUcastPkts.setRealSyntaxType( (byte) 5);
        node_ifOutNUcastPkts.setObjectName("iReasoning:name=IfTable");
        node_ifOutNUcastPkts.setAccess(2);
        OIDTreeNode node_ifOutDiscards = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.19");
        node_ifOutDiscards.setMibNodeName("IfOutDiscards");
        node_ifOutDiscards.setTableColumnNode(true);
        node_ifOutDiscards.setRealSyntaxType( (byte) 5);
        node_ifOutDiscards.setObjectName("iReasoning:name=IfTable");
        node_ifOutDiscards.setAccess(2);
        OIDTreeNode node_ifOutErrors = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.20");
        node_ifOutErrors.setMibNodeName("IfOutErrors");
        node_ifOutErrors.setTableColumnNode(true);
        node_ifOutErrors.setRealSyntaxType( (byte) 5);
        node_ifOutErrors.setObjectName("iReasoning:name=IfTable");
        node_ifOutErrors.setAccess(2);
        OIDTreeNode node_ifOutQLen = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.21");
        node_ifOutQLen.setMibNodeName("IfOutQLen");
        node_ifOutQLen.setTableColumnNode(true);
        node_ifOutQLen.setRealSyntaxType( (byte) 4);
        node_ifOutQLen.setObjectName("iReasoning:name=IfTable");
        node_ifOutQLen.setAccess(2);
        OIDTreeNode node_ifSpecific = (OIDTreeNode) node_ifEntry.addChild(".1.3.6.1.2.1.2.2.1.22");
        node_ifSpecific.setMibNodeName("IfSpecific");
        node_ifSpecific.setTableColumnNode(true);
        node_ifSpecific.setRealSyntaxType( (byte) 0);
        node_ifSpecific.setObjectName("iReasoning:name=IfTable");
        node_ifSpecific.setAccess(2);
        OIDTreeNode node_ifMIB = (OIDTreeNode) node_mib_2.addChild(".1.3.6.1.2.1.31");
        node_ifMIB.setMibNodeName("IfMIB");
        OIDTreeNode node_ifMIBObjects = (OIDTreeNode) node_ifMIB.addChild(".1.3.6.1.2.1.31.1");
        node_ifMIBObjects.setMibNodeName("IfMIBObjects");
        node_ifMIBObjects.setGroupNode(true);
        OIDTreeNode node_ifXTable = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.1");
        node_ifXTable.setMibNodeName("IfXTable");
        node_ifXTable.setObjectName("iReasoning:name=IfXTable");
        node_ifXTable.setTableNode(true);
        OIDTreeNode node_ifXEntry = (OIDTreeNode) node_ifXTable.addChild(".1.3.6.1.2.1.31.1.1.1");
        node_ifXEntry.setMibNodeName("IfXEntry");
        OIDTreeNode node_ifName = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.1");
        node_ifName.setMibNodeName("IfName");
        node_ifName.setTableColumnNode(true);
        node_ifName.setRealSyntaxType( (byte) 1);
        node_ifName.setObjectName("iReasoning:name=IfXTable");
        node_ifName.setAccess(2);
        OIDTreeNode node_ifInMulticastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.2");
        node_ifInMulticastPkts.setMibNodeName("IfInMulticastPkts");
        node_ifInMulticastPkts.setTableColumnNode(true);
        node_ifInMulticastPkts.setRealSyntaxType( (byte) 5);
        node_ifInMulticastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifInMulticastPkts.setAccess(2);
        OIDTreeNode node_ifInBroadcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.3");
        node_ifInBroadcastPkts.setMibNodeName("IfInBroadcastPkts");
        node_ifInBroadcastPkts.setTableColumnNode(true);
        node_ifInBroadcastPkts.setRealSyntaxType( (byte) 5);
        node_ifInBroadcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifInBroadcastPkts.setAccess(2);
        OIDTreeNode node_ifOutMulticastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.4");
        node_ifOutMulticastPkts.setMibNodeName("IfOutMulticastPkts");
        node_ifOutMulticastPkts.setTableColumnNode(true);
        node_ifOutMulticastPkts.setRealSyntaxType( (byte) 5);
        node_ifOutMulticastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifOutMulticastPkts.setAccess(2);
        OIDTreeNode node_ifOutBroadcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.5");
        node_ifOutBroadcastPkts.setMibNodeName("IfOutBroadcastPkts");
        node_ifOutBroadcastPkts.setTableColumnNode(true);
        node_ifOutBroadcastPkts.setRealSyntaxType( (byte) 5);
        node_ifOutBroadcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifOutBroadcastPkts.setAccess(2);
        OIDTreeNode node_ifHCInOctets = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.6");
        node_ifHCInOctets.setMibNodeName("IfHCInOctets");
        node_ifHCInOctets.setTableColumnNode(true);
        node_ifHCInOctets.setRealSyntaxType( (byte) 6);
        node_ifHCInOctets.setObjectName("iReasoning:name=IfXTable");
        node_ifHCInOctets.setAccess(2);
        OIDTreeNode node_ifHCInUcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.7");
        node_ifHCInUcastPkts.setMibNodeName("IfHCInUcastPkts");
        node_ifHCInUcastPkts.setTableColumnNode(true);
        node_ifHCInUcastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCInUcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCInUcastPkts.setAccess(2);
        OIDTreeNode node_ifHCInMulticastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.8");
        node_ifHCInMulticastPkts.setMibNodeName("IfHCInMulticastPkts");
        node_ifHCInMulticastPkts.setTableColumnNode(true);
        node_ifHCInMulticastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCInMulticastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCInMulticastPkts.setAccess(2);
        OIDTreeNode node_ifHCInBroadcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.9");
        node_ifHCInBroadcastPkts.setMibNodeName("IfHCInBroadcastPkts");
        node_ifHCInBroadcastPkts.setTableColumnNode(true);
        node_ifHCInBroadcastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCInBroadcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCInBroadcastPkts.setAccess(2);
        OIDTreeNode node_ifHCOutOctets = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.10");
        node_ifHCOutOctets.setMibNodeName("IfHCOutOctets");
        node_ifHCOutOctets.setTableColumnNode(true);
        node_ifHCOutOctets.setRealSyntaxType( (byte) 6);
        node_ifHCOutOctets.setObjectName("iReasoning:name=IfXTable");
        node_ifHCOutOctets.setAccess(2);
        OIDTreeNode node_ifHCOutUcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.11");
        node_ifHCOutUcastPkts.setMibNodeName("IfHCOutUcastPkts");
        node_ifHCOutUcastPkts.setTableColumnNode(true);
        node_ifHCOutUcastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCOutUcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCOutUcastPkts.setAccess(2);
        OIDTreeNode node_ifHCOutMulticastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.12");
        node_ifHCOutMulticastPkts.setMibNodeName("IfHCOutMulticastPkts");
        node_ifHCOutMulticastPkts.setTableColumnNode(true);
        node_ifHCOutMulticastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCOutMulticastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCOutMulticastPkts.setAccess(2);
        OIDTreeNode node_ifHCOutBroadcastPkts = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.13");
        node_ifHCOutBroadcastPkts.setMibNodeName("IfHCOutBroadcastPkts");
        node_ifHCOutBroadcastPkts.setTableColumnNode(true);
        node_ifHCOutBroadcastPkts.setRealSyntaxType( (byte) 6);
        node_ifHCOutBroadcastPkts.setObjectName("iReasoning:name=IfXTable");
        node_ifHCOutBroadcastPkts.setAccess(2);
        OIDTreeNode node_ifLinkUpDownTrapEnable = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.14");
        node_ifLinkUpDownTrapEnable.setMibNodeName("IfLinkUpDownTrapEnable");
        node_ifLinkUpDownTrapEnable.setTableColumnNode(true);
        node_ifLinkUpDownTrapEnable.setRealSyntaxType( (byte) 2);
        node_ifLinkUpDownTrapEnable.setObjectName("iReasoning:name=IfXTable");
        node_ifLinkUpDownTrapEnable.setAccess(3);
        OIDTreeNode node_ifHighSpeed = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.15");
        node_ifHighSpeed.setMibNodeName("IfHighSpeed");
        node_ifHighSpeed.setTableColumnNode(true);
        node_ifHighSpeed.setRealSyntaxType( (byte) 4);
        node_ifHighSpeed.setObjectName("iReasoning:name=IfXTable");
        node_ifHighSpeed.setAccess(2);
        OIDTreeNode node_ifPromiscuousMode = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.16");
        node_ifPromiscuousMode.setMibNodeName("IfPromiscuousMode");
        node_ifPromiscuousMode.setTableColumnNode(true);
        node_ifPromiscuousMode.setRealSyntaxType( (byte) 2);
        node_ifPromiscuousMode.setObjectName("iReasoning:name=IfXTable");
        node_ifPromiscuousMode.setAccess(3);
        OIDTreeNode node_ifConnectorPresent = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.17");
        node_ifConnectorPresent.setMibNodeName("IfConnectorPresent");
        node_ifConnectorPresent.setTableColumnNode(true);
        node_ifConnectorPresent.setRealSyntaxType( (byte) 2);
        node_ifConnectorPresent.setObjectName("iReasoning:name=IfXTable");
        node_ifConnectorPresent.setAccess(2);
        OIDTreeNode node_ifAlias = (OIDTreeNode) node_ifXEntry.addChild(".1.3.6.1.2.1.31.1.1.1.18");
        node_ifAlias.setMibNodeName("IfAlias");
        node_ifAlias.setTableColumnNode(true);
        node_ifAlias.setRealSyntaxType( (byte) 1);
        node_ifAlias.setObjectName("iReasoning:name=IfXTable");
        node_ifAlias.setAccess(3);
        OIDTreeNode node_ifStackTable = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.2");
        node_ifStackTable.setMibNodeName("IfStackTable");
        node_ifStackTable.setObjectName("iReasoning:name=IfStackTable");
        node_ifStackTable.setTableNode(true);
        node_ifStackTable.setRowStatusOID( new SnmpOID(".1.3.6.1.2.1.31.1.2.1.3" ));
        OIDTreeNode node_ifStackEntry = (OIDTreeNode) node_ifStackTable.addChild(".1.3.6.1.2.1.31.1.2.1");
        node_ifStackEntry.setMibNodeName("IfStackEntry");
        OIDTreeNode node_ifStackHigherLayer = (OIDTreeNode) node_ifStackEntry.addChild(".1.3.6.1.2.1.31.1.2.1.1");
        node_ifStackHigherLayer.setMibNodeName("IfStackHigherLayer");
        node_ifStackHigherLayer.setTableColumnNode(true);
        node_ifStackHigherLayer.setRealSyntaxType( (byte) 2);
        node_ifStackHigherLayer.setObjectName("iReasoning:name=IfStackTable");
        node_ifStackHigherLayer.setAccess(0);
        OIDTreeNode node_ifStackLowerLayer = (OIDTreeNode) node_ifStackEntry.addChild(".1.3.6.1.2.1.31.1.2.1.2");
        node_ifStackLowerLayer.setMibNodeName("IfStackLowerLayer");
        node_ifStackLowerLayer.setTableColumnNode(true);
        node_ifStackLowerLayer.setRealSyntaxType( (byte) 2);
        node_ifStackLowerLayer.setObjectName("iReasoning:name=IfStackTable");
        node_ifStackLowerLayer.setAccess(0);
        OIDTreeNode node_ifStackStatus = (OIDTreeNode) node_ifStackEntry.addChild(".1.3.6.1.2.1.31.1.2.1.3");
        node_ifStackStatus.setMibNodeName("IfStackStatus");
        node_ifStackStatus.setTableColumnNode(true);
        node_ifStackStatus.setRealSyntaxType( (byte) 2);
        node_ifStackStatus.setObjectName("iReasoning:name=IfStackTable");
        node_ifStackStatus.setAccess(4);
        OIDTreeNode node_ifTestTable = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.3");
        node_ifTestTable.setMibNodeName("IfTestTable");
        node_ifTestTable.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestTable.setTableNode(true);
        OIDTreeNode node_ifTestEntry = (OIDTreeNode) node_ifTestTable.addChild(".1.3.6.1.2.1.31.1.3.1");
        node_ifTestEntry.setMibNodeName("IfTestEntry");
        OIDTreeNode node_ifTestId = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.1");
        node_ifTestId.setMibNodeName("IfTestId");
        node_ifTestId.setTableColumnNode(true);
        node_ifTestId.setRealSyntaxType( (byte) 2);
        node_ifTestId.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestId.setAccess(3);
        OIDTreeNode node_ifTestStatus = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.2");
        node_ifTestStatus.setMibNodeName("IfTestStatus");
        node_ifTestStatus.setTableColumnNode(true);
        node_ifTestStatus.setRealSyntaxType( (byte) 2);
        node_ifTestStatus.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestStatus.setAccess(3);
        OIDTreeNode node_ifTestType = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.3");
        node_ifTestType.setMibNodeName("IfTestType");
        node_ifTestType.setTableColumnNode(true);
        node_ifTestType.setRealSyntaxType( (byte) 0);
        node_ifTestType.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestType.setAccess(3);
        OIDTreeNode node_ifTestResult = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.4");
        node_ifTestResult.setMibNodeName("IfTestResult");
        node_ifTestResult.setTableColumnNode(true);
        node_ifTestResult.setRealSyntaxType( (byte) 2);
        node_ifTestResult.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestResult.setAccess(2);
        OIDTreeNode node_ifTestCode = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.5");
        node_ifTestCode.setMibNodeName("IfTestCode");
        node_ifTestCode.setTableColumnNode(true);
        node_ifTestCode.setRealSyntaxType( (byte) 0);
        node_ifTestCode.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestCode.setAccess(2);
        OIDTreeNode node_ifTestOwner = (OIDTreeNode) node_ifTestEntry.addChild(".1.3.6.1.2.1.31.1.3.1.6");
        node_ifTestOwner.setMibNodeName("IfTestOwner");
        node_ifTestOwner.setTableColumnNode(true);
        node_ifTestOwner.setRealSyntaxType( (byte) 1);
        node_ifTestOwner.setObjectName("iReasoning:name=IfTestTable");
        node_ifTestOwner.setAccess(3);
        OIDTreeNode node_ifRcvAddressTable = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.4");
        node_ifRcvAddressTable.setMibNodeName("IfRcvAddressTable");
        node_ifRcvAddressTable.setObjectName("iReasoning:name=IfRcvAddressTable");
        node_ifRcvAddressTable.setTableNode(true);
        node_ifRcvAddressTable.setRowStatusOID( new SnmpOID(".1.3.6.1.2.1.31.1.4.1.2" ));
        OIDTreeNode node_ifRcvAddressEntry = (OIDTreeNode) node_ifRcvAddressTable.addChild(".1.3.6.1.2.1.31.1.4.1");
        node_ifRcvAddressEntry.setMibNodeName("IfRcvAddressEntry");
        OIDTreeNode node_ifRcvAddressAddress = (OIDTreeNode) node_ifRcvAddressEntry.addChild(".1.3.6.1.2.1.31.1.4.1.1");
        node_ifRcvAddressAddress.setMibNodeName("IfRcvAddressAddress");
        node_ifRcvAddressAddress.setTableColumnNode(true);
        node_ifRcvAddressAddress.setRealSyntaxType( (byte) 1);
        node_ifRcvAddressAddress.setObjectName("iReasoning:name=IfRcvAddressTable");
        node_ifRcvAddressAddress.setAccess(0);
        OIDTreeNode node_ifRcvAddressStatus = (OIDTreeNode) node_ifRcvAddressEntry.addChild(".1.3.6.1.2.1.31.1.4.1.2");
        node_ifRcvAddressStatus.setMibNodeName("IfRcvAddressStatus");
        node_ifRcvAddressStatus.setTableColumnNode(true);
        node_ifRcvAddressStatus.setRealSyntaxType( (byte) 2);
        node_ifRcvAddressStatus.setObjectName("iReasoning:name=IfRcvAddressTable");
        node_ifRcvAddressStatus.setAccess(4);
        OIDTreeNode node_ifRcvAddressType = (OIDTreeNode) node_ifRcvAddressEntry.addChild(".1.3.6.1.2.1.31.1.4.1.3");
        node_ifRcvAddressType.setMibNodeName("IfRcvAddressType");
        node_ifRcvAddressType.setTableColumnNode(true);
        node_ifRcvAddressType.setRealSyntaxType( (byte) 2);
        node_ifRcvAddressType.setObjectName("iReasoning:name=IfRcvAddressTable");
        node_ifRcvAddressType.setAccess(4);
        OIDTreeNode node_ifTableLastChange = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.5.0");
        node_ifTableLastChange.setMibNodeName("IfTableLastChange");
        node_ifTableLastChange.setScalarNode(true);
        node_ifTableLastChange.setRealSyntaxType( (byte) 7);
        node_ifTableLastChange.setObjectName("iReasoning:name=IfMIBObjectsGroup");
        node_ifTableLastChange.setAccess(2);
        OIDTreeNode node_ifStackLastChange = (OIDTreeNode) node_ifMIBObjects.addChild(".1.3.6.1.2.1.31.1.6.0");
        node_ifStackLastChange.setMibNodeName("IfStackLastChange");
        node_ifStackLastChange.setScalarNode(true);
        node_ifStackLastChange.setRealSyntaxType( (byte) 7);
        node_ifStackLastChange.setObjectName("iReasoning:name=IfMIBObjectsGroup");
        node_ifStackLastChange.setAccess(2);
        OIDTreeNode node_ifConformance = (OIDTreeNode) node_ifMIB.addChild(".1.3.6.1.2.1.31.2");
        node_ifConformance.setMibNodeName("IfConformance");
        node_ifConformance.setGroupNode(true);
        OIDTreeNode node_ifGroups = (OIDTreeNode) node_ifConformance.addChild(".1.3.6.1.2.1.31.2.1");
        node_ifGroups.setMibNodeName("IfGroups");
        node_ifGroups.setGroupNode(true);
        OIDTreeNode node_ifGeneralGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.1");
        node_ifGeneralGroup.setMibNodeName("IfGeneralGroup");
        OIDTreeNode node_ifFixedLengthGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.2");
        node_ifFixedLengthGroup.setMibNodeName("IfFixedLengthGroup");
        OIDTreeNode node_ifHCFixedLengthGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.3");
        node_ifHCFixedLengthGroup.setMibNodeName("IfHCFixedLengthGroup");
        OIDTreeNode node_ifPacketGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.4");
        node_ifPacketGroup.setMibNodeName("IfPacketGroup");
        OIDTreeNode node_ifHCPacketGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.5");
        node_ifHCPacketGroup.setMibNodeName("IfHCPacketGroup");
        OIDTreeNode node_ifVHCPacketGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.6");
        node_ifVHCPacketGroup.setMibNodeName("IfVHCPacketGroup");
        OIDTreeNode node_ifRcvAddressGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.7");
        node_ifRcvAddressGroup.setMibNodeName("IfRcvAddressGroup");
        OIDTreeNode node_ifTestGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.8");
        node_ifTestGroup.setMibNodeName("IfTestGroup");
        OIDTreeNode node_ifStackGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.9");
        node_ifStackGroup.setMibNodeName("IfStackGroup");
        OIDTreeNode node_ifGeneralInformationGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.10");
        node_ifGeneralInformationGroup.setMibNodeName("IfGeneralInformationGroup");
        OIDTreeNode node_ifStackGroup2 = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.11");
        node_ifStackGroup2.setMibNodeName("IfStackGroup2");
        OIDTreeNode node_ifOldObjectsGroup = (OIDTreeNode) node_ifGroups.addChild(".1.3.6.1.2.1.31.2.1.12");
        node_ifOldObjectsGroup.setMibNodeName("IfOldObjectsGroup");
        OIDTreeNode node_ifCompliances = (OIDTreeNode) node_ifConformance.addChild(".1.3.6.1.2.1.31.2.2");
        node_ifCompliances.setMibNodeName("IfCompliances");
        node_ifCompliances.setGroupNode(true);
        OIDTreeNode node_ifCompliance = (OIDTreeNode) node_ifCompliances.addChild(".1.3.6.1.2.1.31.2.2.1");
        node_ifCompliance.setMibNodeName("IfCompliance");
        OIDTreeNode node_ifCompliance2 = (OIDTreeNode) node_ifCompliances.addChild(".1.3.6.1.2.1.31.2.2.2");
        node_ifCompliance2.setMibNodeName("IfCompliance2");
        OIDTreeNode node_snmpV2 = (OIDTreeNode) node_internet.addChild(".1.3.6.1.6");
        node_snmpV2.setMibNodeName("SnmpV2");
        OIDTreeNode node_snmpModules = (OIDTreeNode) node_snmpV2.addChild(".1.3.6.1.6.3");
        node_snmpModules.setMibNodeName("SnmpModules");
        OIDTreeNode node_snmpMIB = (OIDTreeNode) node_snmpModules.addChild(".1.3.6.1.6.3.1");
        node_snmpMIB.setMibNodeName("SnmpMIB");
        OIDTreeNode node_snmpMIBObjects = (OIDTreeNode) node_snmpMIB.addChild(".1.3.6.1.6.3.1.1");
        node_snmpMIBObjects.setMibNodeName("SnmpMIBObjects");
        node_snmpMIBObjects.setGroupNode(true);
        OIDTreeNode node_snmpTraps = (OIDTreeNode) node_snmpMIBObjects.addChild(".1.3.6.1.6.3.1.1.5");
        node_snmpTraps.setMibNodeName("SnmpTraps");
        node_snmpTraps.setGroupNode(true);
        OIDTreeNode node_coldStart = (OIDTreeNode) node_snmpTraps.addChild(".1.3.6.1.6.3.1.1.5.1");
        node_coldStart.setMibNodeName("ColdStart");
        OIDTreeNode node_warmStart = (OIDTreeNode) node_snmpTraps.addChild(".1.3.6.1.6.3.1.1.5.2");
        node_warmStart.setMibNodeName("WarmStart");
        OIDTreeNode node_linkDown = (OIDTreeNode) node_snmpTraps.addChild(".1.3.6.1.6.3.1.1.5.3");
        node_linkDown.setMibNodeName("LinkDown");
        OIDTreeNode node_linkUp = (OIDTreeNode) node_snmpTraps.addChild(".1.3.6.1.6.3.1.1.5.4");
        node_linkUp.setMibNodeName("LinkUp");
        OIDTreeNode node_authenticationFailure = (OIDTreeNode) node_snmpTraps.addChild(".1.3.6.1.6.3.1.1.5.5");
        node_authenticationFailure.setMibNodeName("AuthenticationFailure");
        OIDTreeNode node_snmpSet = (OIDTreeNode) node_snmpMIBObjects.addChild(".1.3.6.1.6.3.1.1.6");
        node_snmpSet.setMibNodeName("SnmpSet");
        node_snmpSet.setGroupNode(true);
        OIDTreeNode node_snmpSetSerialNo = (OIDTreeNode) node_snmpSet.addChild(".1.3.6.1.6.3.1.1.6.1.0");
        node_snmpSetSerialNo.setMibNodeName("SnmpSetSerialNo");
        node_snmpSetSerialNo.setScalarNode(true);
        node_snmpSetSerialNo.setRealSyntaxType( (byte) 2);
        node_snmpSetSerialNo.setObjectName("iReasoning:name=SnmpSetGroup");
        node_snmpSetSerialNo.setAccess(3);
        _root = node_IF_MIB ;
        return node_IF_MIB;
    }
}
