/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.mib2;
import com.ireasoning.protocol.snmp.*;
public class OIDTree
{
    private static OIDTreeNode _root = null;
    
    public static OIDTreeNode getTree()
    {
        if(_root != null) return _root;
        OIDTreeNode node_RFC1213_MIB_0 = new OIDTreeNode("");
        node_RFC1213_MIB_0.setMibNodeName("RFC1213_MIB");
        OIDTreeNode node_iso_1 = (OIDTreeNode) node_RFC1213_MIB_0.addChild(".1");
        node_iso_1.setMibNodeName("Iso");
        OIDTreeNode node_org_2 = (OIDTreeNode) node_iso_1.addChild(".1.3");
        node_org_2.setMibNodeName("Org");
        OIDTreeNode node_dod_3 = (OIDTreeNode) node_org_2.addChild(".1.3.6");
        node_dod_3.setMibNodeName("Dod");
        OIDTreeNode node_internet_4 = (OIDTreeNode) node_dod_3.addChild(".1.3.6.1");
        node_internet_4.setMibNodeName("Internet");
        node_internet_4.setGroupNode(true);
        OIDTreeNode node_directory_5 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.1");
        node_directory_5.setMibNodeName("Directory");
        OIDTreeNode node_mgmt_6 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.2");
        node_mgmt_6.setMibNodeName("Mgmt");
        OIDTreeNode node_mib_2_7 = (OIDTreeNode) node_mgmt_6.addChild(".1.3.6.1.2.1");
        node_mib_2_7.setMibNodeName("Mib_2");
        node_mib_2_7.setGroupNode(true);
        OIDTreeNode node_system_8 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.1");
        node_system_8.setMibNodeName("System");
        node_system_8.setGroupNode(true);
        OIDTreeNode node_sysDescr_9 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.1.0");
        node_sysDescr_9.setMibNodeName("SysDescr");
        node_sysDescr_9.setScalarNode(true);
        node_sysDescr_9.setRealSyntaxType( (byte) 1);
        node_sysDescr_9.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysDescr_9.setAccess(2);
        OIDTreeNode node_sysObjectID_10 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.2.0");
        node_sysObjectID_10.setMibNodeName("SysObjectID");
        node_sysObjectID_10.setScalarNode(true);
        node_sysObjectID_10.setRealSyntaxType( (byte) 0);
        node_sysObjectID_10.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysObjectID_10.setAccess(2);
        OIDTreeNode node_sysUpTime_11 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.3.0");
        node_sysUpTime_11.setMibNodeName("SysUpTime");
        node_sysUpTime_11.setScalarNode(true);
        node_sysUpTime_11.setRealSyntaxType( (byte) 7);
        node_sysUpTime_11.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysUpTime_11.setAccess(2);
        OIDTreeNode node_sysContact_12 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.4.0");
        node_sysContact_12.setMibNodeName("SysContact");
        node_sysContact_12.setScalarNode(true);
        node_sysContact_12.setRealSyntaxType( (byte) 1);
        node_sysContact_12.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysContact_12.setAccess(3);
        OIDTreeNode node_sysName_13 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.5.0");
        node_sysName_13.setMibNodeName("SysName");
        node_sysName_13.setScalarNode(true);
        node_sysName_13.setRealSyntaxType( (byte) 1);
        node_sysName_13.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysName_13.setAccess(3);
        OIDTreeNode node_sysLocation_14 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.6.0");
        node_sysLocation_14.setMibNodeName("SysLocation");
        node_sysLocation_14.setScalarNode(true);
        node_sysLocation_14.setRealSyntaxType( (byte) 1);
        node_sysLocation_14.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysLocation_14.setAccess(3);
        OIDTreeNode node_sysServices_15 = (OIDTreeNode) node_system_8.addChild(".1.3.6.1.2.1.1.7.0");
        node_sysServices_15.setMibNodeName("SysServices");
        node_sysServices_15.setScalarNode(true);
        node_sysServices_15.setRealSyntaxType( (byte) 2);
        node_sysServices_15.setObjectName("ireasoning:name=SystemGroup,noPdu=true");
        node_sysServices_15.setAccess(2);
        OIDTreeNode node_interfaces_16 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.2");
        node_interfaces_16.setMibNodeName("Interfaces");
        node_interfaces_16.setGroupNode(true);
        OIDTreeNode node_ifNumber_17 = (OIDTreeNode) node_interfaces_16.addChild(".1.3.6.1.2.1.2.1.0");
        node_ifNumber_17.setMibNodeName("IfNumber");
        node_ifNumber_17.setScalarNode(true);
        node_ifNumber_17.setRealSyntaxType( (byte) 2);
        node_ifNumber_17.setObjectName("ireasoning:name=InterfacesGroup,noPdu=true");
        node_ifNumber_17.setAccess(2);
        OIDTreeNode node_ifTable_18 = addIfTable((OIDTreeNode) node_interfaces_16);
        OIDTreeNode node_at_42 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.3");
        node_at_42.setMibNodeName("At");
        OIDTreeNode node_atTable_43 = addAtTable((OIDTreeNode) node_at_42);
        OIDTreeNode node_ip_48 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.4");
        node_ip_48.setMibNodeName("Ip");
        node_ip_48.setGroupNode(true);
        OIDTreeNode node_ipForwarding_49 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.1.0");
        node_ipForwarding_49.setMibNodeName("IpForwarding");
        node_ipForwarding_49.setScalarNode(true);
        node_ipForwarding_49.setRealSyntaxType( (byte) 2);
        node_ipForwarding_49.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipForwarding_49.setAccess(3);
        OIDTreeNode node_ipDefaultTTL_50 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.2.0");
        node_ipDefaultTTL_50.setMibNodeName("IpDefaultTTL");
        node_ipDefaultTTL_50.setScalarNode(true);
        node_ipDefaultTTL_50.setRealSyntaxType( (byte) 2);
        node_ipDefaultTTL_50.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipDefaultTTL_50.setAccess(3);
        OIDTreeNode node_ipInReceives_51 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.3.0");
        node_ipInReceives_51.setMibNodeName("IpInReceives");
        node_ipInReceives_51.setScalarNode(true);
        node_ipInReceives_51.setRealSyntaxType( (byte) 5);
        node_ipInReceives_51.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInReceives_51.setAccess(2);
        OIDTreeNode node_ipInHdrErrors_52 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.4.0");
        node_ipInHdrErrors_52.setMibNodeName("IpInHdrErrors");
        node_ipInHdrErrors_52.setScalarNode(true);
        node_ipInHdrErrors_52.setRealSyntaxType( (byte) 5);
        node_ipInHdrErrors_52.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInHdrErrors_52.setAccess(2);
        OIDTreeNode node_ipInAddrErrors_53 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.5.0");
        node_ipInAddrErrors_53.setMibNodeName("IpInAddrErrors");
        node_ipInAddrErrors_53.setScalarNode(true);
        node_ipInAddrErrors_53.setRealSyntaxType( (byte) 5);
        node_ipInAddrErrors_53.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInAddrErrors_53.setAccess(2);
        OIDTreeNode node_ipForwDatagrams_54 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.6.0");
        node_ipForwDatagrams_54.setMibNodeName("IpForwDatagrams");
        node_ipForwDatagrams_54.setScalarNode(true);
        node_ipForwDatagrams_54.setRealSyntaxType( (byte) 5);
        node_ipForwDatagrams_54.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipForwDatagrams_54.setAccess(2);
        OIDTreeNode node_ipInUnknownProtos_55 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.7.0");
        node_ipInUnknownProtos_55.setMibNodeName("IpInUnknownProtos");
        node_ipInUnknownProtos_55.setScalarNode(true);
        node_ipInUnknownProtos_55.setRealSyntaxType( (byte) 5);
        node_ipInUnknownProtos_55.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInUnknownProtos_55.setAccess(2);
        OIDTreeNode node_ipInDiscards_56 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.8.0");
        node_ipInDiscards_56.setMibNodeName("IpInDiscards");
        node_ipInDiscards_56.setScalarNode(true);
        node_ipInDiscards_56.setRealSyntaxType( (byte) 5);
        node_ipInDiscards_56.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInDiscards_56.setAccess(2);
        OIDTreeNode node_ipInDelivers_57 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.9.0");
        node_ipInDelivers_57.setMibNodeName("IpInDelivers");
        node_ipInDelivers_57.setScalarNode(true);
        node_ipInDelivers_57.setRealSyntaxType( (byte) 5);
        node_ipInDelivers_57.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipInDelivers_57.setAccess(2);
        OIDTreeNode node_ipOutRequests_58 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.10.0");
        node_ipOutRequests_58.setMibNodeName("IpOutRequests");
        node_ipOutRequests_58.setScalarNode(true);
        node_ipOutRequests_58.setRealSyntaxType( (byte) 5);
        node_ipOutRequests_58.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipOutRequests_58.setAccess(2);
        OIDTreeNode node_ipOutDiscards_59 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.11.0");
        node_ipOutDiscards_59.setMibNodeName("IpOutDiscards");
        node_ipOutDiscards_59.setScalarNode(true);
        node_ipOutDiscards_59.setRealSyntaxType( (byte) 5);
        node_ipOutDiscards_59.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipOutDiscards_59.setAccess(2);
        OIDTreeNode node_ipOutNoRoutes_60 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.12.0");
        node_ipOutNoRoutes_60.setMibNodeName("IpOutNoRoutes");
        node_ipOutNoRoutes_60.setScalarNode(true);
        node_ipOutNoRoutes_60.setRealSyntaxType( (byte) 5);
        node_ipOutNoRoutes_60.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipOutNoRoutes_60.setAccess(2);
        OIDTreeNode node_ipReasmTimeout_61 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.13.0");
        node_ipReasmTimeout_61.setMibNodeName("IpReasmTimeout");
        node_ipReasmTimeout_61.setScalarNode(true);
        node_ipReasmTimeout_61.setRealSyntaxType( (byte) 2);
        node_ipReasmTimeout_61.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipReasmTimeout_61.setAccess(2);
        OIDTreeNode node_ipReasmReqds_62 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.14.0");
        node_ipReasmReqds_62.setMibNodeName("IpReasmReqds");
        node_ipReasmReqds_62.setScalarNode(true);
        node_ipReasmReqds_62.setRealSyntaxType( (byte) 5);
        node_ipReasmReqds_62.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipReasmReqds_62.setAccess(2);
        OIDTreeNode node_ipReasmOKs_63 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.15.0");
        node_ipReasmOKs_63.setMibNodeName("IpReasmOKs");
        node_ipReasmOKs_63.setScalarNode(true);
        node_ipReasmOKs_63.setRealSyntaxType( (byte) 5);
        node_ipReasmOKs_63.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipReasmOKs_63.setAccess(2);
        OIDTreeNode node_ipReasmFails_64 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.16.0");
        node_ipReasmFails_64.setMibNodeName("IpReasmFails");
        node_ipReasmFails_64.setScalarNode(true);
        node_ipReasmFails_64.setRealSyntaxType( (byte) 5);
        node_ipReasmFails_64.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipReasmFails_64.setAccess(2);
        OIDTreeNode node_ipFragOKs_65 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.17.0");
        node_ipFragOKs_65.setMibNodeName("IpFragOKs");
        node_ipFragOKs_65.setScalarNode(true);
        node_ipFragOKs_65.setRealSyntaxType( (byte) 5);
        node_ipFragOKs_65.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipFragOKs_65.setAccess(2);
        OIDTreeNode node_ipFragFails_66 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.18.0");
        node_ipFragFails_66.setMibNodeName("IpFragFails");
        node_ipFragFails_66.setScalarNode(true);
        node_ipFragFails_66.setRealSyntaxType( (byte) 5);
        node_ipFragFails_66.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipFragFails_66.setAccess(2);
        OIDTreeNode node_ipFragCreates_67 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.19.0");
        node_ipFragCreates_67.setMibNodeName("IpFragCreates");
        node_ipFragCreates_67.setScalarNode(true);
        node_ipFragCreates_67.setRealSyntaxType( (byte) 5);
        node_ipFragCreates_67.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipFragCreates_67.setAccess(2);
        OIDTreeNode node_ipAddrTable_68 = addIpAddrTable((OIDTreeNode) node_ip_48);
        OIDTreeNode node_ipRouteTable_75 = addIpRouteTable((OIDTreeNode) node_ip_48);
        OIDTreeNode node_ipNetToMediaTable_90 = addIpNetToMediaTable((OIDTreeNode) node_ip_48);
        OIDTreeNode node_ipRoutingDiscards_96 = (OIDTreeNode) node_ip_48.addChild(".1.3.6.1.2.1.4.23.0");
        node_ipRoutingDiscards_96.setMibNodeName("IpRoutingDiscards");
        node_ipRoutingDiscards_96.setScalarNode(true);
        node_ipRoutingDiscards_96.setRealSyntaxType( (byte) 5);
        node_ipRoutingDiscards_96.setObjectName("ireasoning:name=IpGroup,noPdu=true");
        node_ipRoutingDiscards_96.setAccess(2);
        OIDTreeNode node_icmp_97 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.5");
        node_icmp_97.setMibNodeName("Icmp");
        node_icmp_97.setGroupNode(true);
        OIDTreeNode node_icmpInMsgs_98 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.1.0");
        node_icmpInMsgs_98.setMibNodeName("IcmpInMsgs");
        node_icmpInMsgs_98.setScalarNode(true);
        node_icmpInMsgs_98.setRealSyntaxType( (byte) 5);
        node_icmpInMsgs_98.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInMsgs_98.setAccess(2);
        OIDTreeNode node_icmpInErrors_99 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.2.0");
        node_icmpInErrors_99.setMibNodeName("IcmpInErrors");
        node_icmpInErrors_99.setScalarNode(true);
        node_icmpInErrors_99.setRealSyntaxType( (byte) 5);
        node_icmpInErrors_99.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInErrors_99.setAccess(2);
        OIDTreeNode node_icmpInDestUnreachs_100 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.3.0");
        node_icmpInDestUnreachs_100.setMibNodeName("IcmpInDestUnreachs");
        node_icmpInDestUnreachs_100.setScalarNode(true);
        node_icmpInDestUnreachs_100.setRealSyntaxType( (byte) 5);
        node_icmpInDestUnreachs_100.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInDestUnreachs_100.setAccess(2);
        OIDTreeNode node_icmpInTimeExcds_101 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.4.0");
        node_icmpInTimeExcds_101.setMibNodeName("IcmpInTimeExcds");
        node_icmpInTimeExcds_101.setScalarNode(true);
        node_icmpInTimeExcds_101.setRealSyntaxType( (byte) 5);
        node_icmpInTimeExcds_101.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInTimeExcds_101.setAccess(2);
        OIDTreeNode node_icmpInParmProbs_102 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.5.0");
        node_icmpInParmProbs_102.setMibNodeName("IcmpInParmProbs");
        node_icmpInParmProbs_102.setScalarNode(true);
        node_icmpInParmProbs_102.setRealSyntaxType( (byte) 5);
        node_icmpInParmProbs_102.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInParmProbs_102.setAccess(2);
        OIDTreeNode node_icmpInSrcQuenchs_103 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.6.0");
        node_icmpInSrcQuenchs_103.setMibNodeName("IcmpInSrcQuenchs");
        node_icmpInSrcQuenchs_103.setScalarNode(true);
        node_icmpInSrcQuenchs_103.setRealSyntaxType( (byte) 5);
        node_icmpInSrcQuenchs_103.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInSrcQuenchs_103.setAccess(2);
        OIDTreeNode node_icmpInRedirects_104 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.7.0");
        node_icmpInRedirects_104.setMibNodeName("IcmpInRedirects");
        node_icmpInRedirects_104.setScalarNode(true);
        node_icmpInRedirects_104.setRealSyntaxType( (byte) 5);
        node_icmpInRedirects_104.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInRedirects_104.setAccess(2);
        OIDTreeNode node_icmpInEchos_105 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.8.0");
        node_icmpInEchos_105.setMibNodeName("IcmpInEchos");
        node_icmpInEchos_105.setScalarNode(true);
        node_icmpInEchos_105.setRealSyntaxType( (byte) 5);
        node_icmpInEchos_105.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInEchos_105.setAccess(2);
        OIDTreeNode node_icmpInEchoReps_106 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.9.0");
        node_icmpInEchoReps_106.setMibNodeName("IcmpInEchoReps");
        node_icmpInEchoReps_106.setScalarNode(true);
        node_icmpInEchoReps_106.setRealSyntaxType( (byte) 5);
        node_icmpInEchoReps_106.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInEchoReps_106.setAccess(2);
        OIDTreeNode node_icmpInTimestamps_107 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.10.0");
        node_icmpInTimestamps_107.setMibNodeName("IcmpInTimestamps");
        node_icmpInTimestamps_107.setScalarNode(true);
        node_icmpInTimestamps_107.setRealSyntaxType( (byte) 5);
        node_icmpInTimestamps_107.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInTimestamps_107.setAccess(2);
        OIDTreeNode node_icmpInTimestampReps_108 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.11.0");
        node_icmpInTimestampReps_108.setMibNodeName("IcmpInTimestampReps");
        node_icmpInTimestampReps_108.setScalarNode(true);
        node_icmpInTimestampReps_108.setRealSyntaxType( (byte) 5);
        node_icmpInTimestampReps_108.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInTimestampReps_108.setAccess(2);
        OIDTreeNode node_icmpInAddrMasks_109 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.12.0");
        node_icmpInAddrMasks_109.setMibNodeName("IcmpInAddrMasks");
        node_icmpInAddrMasks_109.setScalarNode(true);
        node_icmpInAddrMasks_109.setRealSyntaxType( (byte) 5);
        node_icmpInAddrMasks_109.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInAddrMasks_109.setAccess(2);
        OIDTreeNode node_icmpInAddrMaskReps_110 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.13.0");
        node_icmpInAddrMaskReps_110.setMibNodeName("IcmpInAddrMaskReps");
        node_icmpInAddrMaskReps_110.setScalarNode(true);
        node_icmpInAddrMaskReps_110.setRealSyntaxType( (byte) 5);
        node_icmpInAddrMaskReps_110.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpInAddrMaskReps_110.setAccess(2);
        OIDTreeNode node_icmpOutMsgs_111 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.14.0");
        node_icmpOutMsgs_111.setMibNodeName("IcmpOutMsgs");
        node_icmpOutMsgs_111.setScalarNode(true);
        node_icmpOutMsgs_111.setRealSyntaxType( (byte) 5);
        node_icmpOutMsgs_111.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutMsgs_111.setAccess(2);
        OIDTreeNode node_icmpOutErrors_112 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.15.0");
        node_icmpOutErrors_112.setMibNodeName("IcmpOutErrors");
        node_icmpOutErrors_112.setScalarNode(true);
        node_icmpOutErrors_112.setRealSyntaxType( (byte) 5);
        node_icmpOutErrors_112.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutErrors_112.setAccess(2);
        OIDTreeNode node_icmpOutDestUnreachs_113 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.16.0");
        node_icmpOutDestUnreachs_113.setMibNodeName("IcmpOutDestUnreachs");
        node_icmpOutDestUnreachs_113.setScalarNode(true);
        node_icmpOutDestUnreachs_113.setRealSyntaxType( (byte) 5);
        node_icmpOutDestUnreachs_113.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutDestUnreachs_113.setAccess(2);
        OIDTreeNode node_icmpOutTimeExcds_114 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.17.0");
        node_icmpOutTimeExcds_114.setMibNodeName("IcmpOutTimeExcds");
        node_icmpOutTimeExcds_114.setScalarNode(true);
        node_icmpOutTimeExcds_114.setRealSyntaxType( (byte) 5);
        node_icmpOutTimeExcds_114.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutTimeExcds_114.setAccess(2);
        OIDTreeNode node_icmpOutParmProbs_115 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.18.0");
        node_icmpOutParmProbs_115.setMibNodeName("IcmpOutParmProbs");
        node_icmpOutParmProbs_115.setScalarNode(true);
        node_icmpOutParmProbs_115.setRealSyntaxType( (byte) 5);
        node_icmpOutParmProbs_115.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutParmProbs_115.setAccess(2);
        OIDTreeNode node_icmpOutSrcQuenchs_116 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.19.0");
        node_icmpOutSrcQuenchs_116.setMibNodeName("IcmpOutSrcQuenchs");
        node_icmpOutSrcQuenchs_116.setScalarNode(true);
        node_icmpOutSrcQuenchs_116.setRealSyntaxType( (byte) 5);
        node_icmpOutSrcQuenchs_116.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutSrcQuenchs_116.setAccess(2);
        OIDTreeNode node_icmpOutRedirects_117 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.20.0");
        node_icmpOutRedirects_117.setMibNodeName("IcmpOutRedirects");
        node_icmpOutRedirects_117.setScalarNode(true);
        node_icmpOutRedirects_117.setRealSyntaxType( (byte) 5);
        node_icmpOutRedirects_117.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutRedirects_117.setAccess(2);
        OIDTreeNode node_icmpOutEchos_118 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.21.0");
        node_icmpOutEchos_118.setMibNodeName("IcmpOutEchos");
        node_icmpOutEchos_118.setScalarNode(true);
        node_icmpOutEchos_118.setRealSyntaxType( (byte) 5);
        node_icmpOutEchos_118.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutEchos_118.setAccess(2);
        OIDTreeNode node_icmpOutEchoReps_119 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.22.0");
        node_icmpOutEchoReps_119.setMibNodeName("IcmpOutEchoReps");
        node_icmpOutEchoReps_119.setScalarNode(true);
        node_icmpOutEchoReps_119.setRealSyntaxType( (byte) 5);
        node_icmpOutEchoReps_119.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutEchoReps_119.setAccess(2);
        OIDTreeNode node_icmpOutTimestamps_120 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.23.0");
        node_icmpOutTimestamps_120.setMibNodeName("IcmpOutTimestamps");
        node_icmpOutTimestamps_120.setScalarNode(true);
        node_icmpOutTimestamps_120.setRealSyntaxType( (byte) 5);
        node_icmpOutTimestamps_120.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutTimestamps_120.setAccess(2);
        OIDTreeNode node_icmpOutTimestampReps_121 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.24.0");
        node_icmpOutTimestampReps_121.setMibNodeName("IcmpOutTimestampReps");
        node_icmpOutTimestampReps_121.setScalarNode(true);
        node_icmpOutTimestampReps_121.setRealSyntaxType( (byte) 5);
        node_icmpOutTimestampReps_121.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutTimestampReps_121.setAccess(2);
        OIDTreeNode node_icmpOutAddrMasks_122 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.25.0");
        node_icmpOutAddrMasks_122.setMibNodeName("IcmpOutAddrMasks");
        node_icmpOutAddrMasks_122.setScalarNode(true);
        node_icmpOutAddrMasks_122.setRealSyntaxType( (byte) 5);
        node_icmpOutAddrMasks_122.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutAddrMasks_122.setAccess(2);
        OIDTreeNode node_icmpOutAddrMaskReps_123 = (OIDTreeNode) node_icmp_97.addChild(".1.3.6.1.2.1.5.26.0");
        node_icmpOutAddrMaskReps_123.setMibNodeName("IcmpOutAddrMaskReps");
        node_icmpOutAddrMaskReps_123.setScalarNode(true);
        node_icmpOutAddrMaskReps_123.setRealSyntaxType( (byte) 5);
        node_icmpOutAddrMaskReps_123.setObjectName("ireasoning:name=IcmpGroup,noPdu=true");
        node_icmpOutAddrMaskReps_123.setAccess(2);
        OIDTreeNode node_tcp_124 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.6");
        node_tcp_124.setMibNodeName("Tcp");
        node_tcp_124.setGroupNode(true);
        OIDTreeNode node_tcpRtoAlgorithm_125 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.1.0");
        node_tcpRtoAlgorithm_125.setMibNodeName("TcpRtoAlgorithm");
        node_tcpRtoAlgorithm_125.setScalarNode(true);
        node_tcpRtoAlgorithm_125.setRealSyntaxType( (byte) 2);
        node_tcpRtoAlgorithm_125.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpRtoAlgorithm_125.setAccess(2);
        OIDTreeNode node_tcpRtoMin_126 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.2.0");
        node_tcpRtoMin_126.setMibNodeName("TcpRtoMin");
        node_tcpRtoMin_126.setScalarNode(true);
        node_tcpRtoMin_126.setRealSyntaxType( (byte) 2);
        node_tcpRtoMin_126.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpRtoMin_126.setAccess(2);
        OIDTreeNode node_tcpRtoMax_127 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.3.0");
        node_tcpRtoMax_127.setMibNodeName("TcpRtoMax");
        node_tcpRtoMax_127.setScalarNode(true);
        node_tcpRtoMax_127.setRealSyntaxType( (byte) 2);
        node_tcpRtoMax_127.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpRtoMax_127.setAccess(2);
        OIDTreeNode node_tcpMaxConn_128 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.4.0");
        node_tcpMaxConn_128.setMibNodeName("TcpMaxConn");
        node_tcpMaxConn_128.setScalarNode(true);
        node_tcpMaxConn_128.setRealSyntaxType( (byte) 2);
        node_tcpMaxConn_128.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpMaxConn_128.setAccess(2);
        OIDTreeNode node_tcpActiveOpens_129 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.5.0");
        node_tcpActiveOpens_129.setMibNodeName("TcpActiveOpens");
        node_tcpActiveOpens_129.setScalarNode(true);
        node_tcpActiveOpens_129.setRealSyntaxType( (byte) 5);
        node_tcpActiveOpens_129.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpActiveOpens_129.setAccess(2);
        OIDTreeNode node_tcpPassiveOpens_130 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.6.0");
        node_tcpPassiveOpens_130.setMibNodeName("TcpPassiveOpens");
        node_tcpPassiveOpens_130.setScalarNode(true);
        node_tcpPassiveOpens_130.setRealSyntaxType( (byte) 5);
        node_tcpPassiveOpens_130.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpPassiveOpens_130.setAccess(2);
        OIDTreeNode node_tcpAttemptFails_131 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.7.0");
        node_tcpAttemptFails_131.setMibNodeName("TcpAttemptFails");
        node_tcpAttemptFails_131.setScalarNode(true);
        node_tcpAttemptFails_131.setRealSyntaxType( (byte) 5);
        node_tcpAttemptFails_131.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpAttemptFails_131.setAccess(2);
        OIDTreeNode node_tcpEstabResets_132 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.8.0");
        node_tcpEstabResets_132.setMibNodeName("TcpEstabResets");
        node_tcpEstabResets_132.setScalarNode(true);
        node_tcpEstabResets_132.setRealSyntaxType( (byte) 5);
        node_tcpEstabResets_132.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpEstabResets_132.setAccess(2);
        OIDTreeNode node_tcpCurrEstab_133 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.9.0");
        node_tcpCurrEstab_133.setMibNodeName("TcpCurrEstab");
        node_tcpCurrEstab_133.setScalarNode(true);
        node_tcpCurrEstab_133.setRealSyntaxType( (byte) 4);
        node_tcpCurrEstab_133.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpCurrEstab_133.setAccess(2);
        OIDTreeNode node_tcpInSegs_134 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.10.0");
        node_tcpInSegs_134.setMibNodeName("TcpInSegs");
        node_tcpInSegs_134.setScalarNode(true);
        node_tcpInSegs_134.setRealSyntaxType( (byte) 5);
        node_tcpInSegs_134.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpInSegs_134.setAccess(2);
        OIDTreeNode node_tcpOutSegs_135 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.11.0");
        node_tcpOutSegs_135.setMibNodeName("TcpOutSegs");
        node_tcpOutSegs_135.setScalarNode(true);
        node_tcpOutSegs_135.setRealSyntaxType( (byte) 5);
        node_tcpOutSegs_135.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpOutSegs_135.setAccess(2);
        OIDTreeNode node_tcpRetransSegs_136 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.12.0");
        node_tcpRetransSegs_136.setMibNodeName("TcpRetransSegs");
        node_tcpRetransSegs_136.setScalarNode(true);
        node_tcpRetransSegs_136.setRealSyntaxType( (byte) 5);
        node_tcpRetransSegs_136.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpRetransSegs_136.setAccess(2);
        OIDTreeNode node_tcpConnTable_137 = addTcpConnTable((OIDTreeNode) node_tcp_124);
        OIDTreeNode node_tcpInErrs_144 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.14.0");
        node_tcpInErrs_144.setMibNodeName("TcpInErrs");
        node_tcpInErrs_144.setScalarNode(true);
        node_tcpInErrs_144.setRealSyntaxType( (byte) 5);
        node_tcpInErrs_144.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpInErrs_144.setAccess(2);
        OIDTreeNode node_tcpOutRsts_145 = (OIDTreeNode) node_tcp_124.addChild(".1.3.6.1.2.1.6.15.0");
        node_tcpOutRsts_145.setMibNodeName("TcpOutRsts");
        node_tcpOutRsts_145.setScalarNode(true);
        node_tcpOutRsts_145.setRealSyntaxType( (byte) 5);
        node_tcpOutRsts_145.setObjectName("ireasoning:name=TcpGroup,noPdu=true");
        node_tcpOutRsts_145.setAccess(2);
        OIDTreeNode node_udp_146 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.7");
        node_udp_146.setMibNodeName("Udp");
        node_udp_146.setGroupNode(true);
        OIDTreeNode node_udpInDatagrams_147 = (OIDTreeNode) node_udp_146.addChild(".1.3.6.1.2.1.7.1.0");
        node_udpInDatagrams_147.setMibNodeName("UdpInDatagrams");
        node_udpInDatagrams_147.setScalarNode(true);
        node_udpInDatagrams_147.setRealSyntaxType( (byte) 5);
        node_udpInDatagrams_147.setObjectName("ireasoning:name=UdpGroup,noPdu=true");
        node_udpInDatagrams_147.setAccess(2);
        OIDTreeNode node_udpNoPorts_148 = (OIDTreeNode) node_udp_146.addChild(".1.3.6.1.2.1.7.2.0");
        node_udpNoPorts_148.setMibNodeName("UdpNoPorts");
        node_udpNoPorts_148.setScalarNode(true);
        node_udpNoPorts_148.setRealSyntaxType( (byte) 5);
        node_udpNoPorts_148.setObjectName("ireasoning:name=UdpGroup,noPdu=true");
        node_udpNoPorts_148.setAccess(2);
        OIDTreeNode node_udpInErrors_149 = (OIDTreeNode) node_udp_146.addChild(".1.3.6.1.2.1.7.3.0");
        node_udpInErrors_149.setMibNodeName("UdpInErrors");
        node_udpInErrors_149.setScalarNode(true);
        node_udpInErrors_149.setRealSyntaxType( (byte) 5);
        node_udpInErrors_149.setObjectName("ireasoning:name=UdpGroup,noPdu=true");
        node_udpInErrors_149.setAccess(2);
        OIDTreeNode node_udpOutDatagrams_150 = (OIDTreeNode) node_udp_146.addChild(".1.3.6.1.2.1.7.4.0");
        node_udpOutDatagrams_150.setMibNodeName("UdpOutDatagrams");
        node_udpOutDatagrams_150.setScalarNode(true);
        node_udpOutDatagrams_150.setRealSyntaxType( (byte) 5);
        node_udpOutDatagrams_150.setObjectName("ireasoning:name=UdpGroup,noPdu=true");
        node_udpOutDatagrams_150.setAccess(2);
        OIDTreeNode node_udpTable_151 = addUdpTable((OIDTreeNode) node_udp_146);
        OIDTreeNode node_egp_155 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.8");
        node_egp_155.setMibNodeName("Egp");
        node_egp_155.setGroupNode(true);
        OIDTreeNode node_egpInMsgs_156 = (OIDTreeNode) node_egp_155.addChild(".1.3.6.1.2.1.8.1.0");
        node_egpInMsgs_156.setMibNodeName("EgpInMsgs");
        node_egpInMsgs_156.setScalarNode(true);
        node_egpInMsgs_156.setRealSyntaxType( (byte) 5);
        node_egpInMsgs_156.setObjectName("ireasoning:name=EgpGroup,noPdu=true");
        node_egpInMsgs_156.setAccess(2);
        OIDTreeNode node_egpInErrors_157 = (OIDTreeNode) node_egp_155.addChild(".1.3.6.1.2.1.8.2.0");
        node_egpInErrors_157.setMibNodeName("EgpInErrors");
        node_egpInErrors_157.setScalarNode(true);
        node_egpInErrors_157.setRealSyntaxType( (byte) 5);
        node_egpInErrors_157.setObjectName("ireasoning:name=EgpGroup,noPdu=true");
        node_egpInErrors_157.setAccess(2);
        OIDTreeNode node_egpOutMsgs_158 = (OIDTreeNode) node_egp_155.addChild(".1.3.6.1.2.1.8.3.0");
        node_egpOutMsgs_158.setMibNodeName("EgpOutMsgs");
        node_egpOutMsgs_158.setScalarNode(true);
        node_egpOutMsgs_158.setRealSyntaxType( (byte) 5);
        node_egpOutMsgs_158.setObjectName("ireasoning:name=EgpGroup,noPdu=true");
        node_egpOutMsgs_158.setAccess(2);
        OIDTreeNode node_egpOutErrors_159 = (OIDTreeNode) node_egp_155.addChild(".1.3.6.1.2.1.8.4.0");
        node_egpOutErrors_159.setMibNodeName("EgpOutErrors");
        node_egpOutErrors_159.setScalarNode(true);
        node_egpOutErrors_159.setRealSyntaxType( (byte) 5);
        node_egpOutErrors_159.setObjectName("ireasoning:name=EgpGroup,noPdu=true");
        node_egpOutErrors_159.setAccess(2);
        OIDTreeNode node_egpNeighTable_160 = addEgpNeighTable((OIDTreeNode) node_egp_155);
        OIDTreeNode node_egpAs_177 = (OIDTreeNode) node_egp_155.addChild(".1.3.6.1.2.1.8.6.0");
        node_egpAs_177.setMibNodeName("EgpAs");
        node_egpAs_177.setScalarNode(true);
        node_egpAs_177.setRealSyntaxType( (byte) 2);
        node_egpAs_177.setObjectName("ireasoning:name=EgpGroup,noPdu=true");
        node_egpAs_177.setAccess(2);
        OIDTreeNode node_transmission_178 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.10");
        node_transmission_178.setMibNodeName("Transmission");
        OIDTreeNode node_snmp_179 = (OIDTreeNode) node_mib_2_7.addChild(".1.3.6.1.2.1.11");
        node_snmp_179.setMibNodeName("Snmp");
        node_snmp_179.setGroupNode(true);
        OIDTreeNode node_snmpInPkts_180 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.1.0");
        node_snmpInPkts_180.setMibNodeName("SnmpInPkts");
        node_snmpInPkts_180.setScalarNode(true);
        node_snmpInPkts_180.setRealSyntaxType( (byte) 5);
        node_snmpInPkts_180.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInPkts_180.setAccess(2);
        OIDTreeNode node_snmpOutPkts_181 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.2.0");
        node_snmpOutPkts_181.setMibNodeName("SnmpOutPkts");
        node_snmpOutPkts_181.setScalarNode(true);
        node_snmpOutPkts_181.setRealSyntaxType( (byte) 5);
        node_snmpOutPkts_181.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutPkts_181.setAccess(2);
        OIDTreeNode node_snmpInBadVersions_182 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.3.0");
        node_snmpInBadVersions_182.setMibNodeName("SnmpInBadVersions");
        node_snmpInBadVersions_182.setScalarNode(true);
        node_snmpInBadVersions_182.setRealSyntaxType( (byte) 5);
        node_snmpInBadVersions_182.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInBadVersions_182.setAccess(2);
        OIDTreeNode node_snmpInBadCommunityNames_183 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.4.0");
        node_snmpInBadCommunityNames_183.setMibNodeName("SnmpInBadCommunityNames");
        node_snmpInBadCommunityNames_183.setScalarNode(true);
        node_snmpInBadCommunityNames_183.setRealSyntaxType( (byte) 5);
        node_snmpInBadCommunityNames_183.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInBadCommunityNames_183.setAccess(2);
        OIDTreeNode node_snmpInBadCommunityUses_184 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.5.0");
        node_snmpInBadCommunityUses_184.setMibNodeName("SnmpInBadCommunityUses");
        node_snmpInBadCommunityUses_184.setScalarNode(true);
        node_snmpInBadCommunityUses_184.setRealSyntaxType( (byte) 5);
        node_snmpInBadCommunityUses_184.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInBadCommunityUses_184.setAccess(2);
        OIDTreeNode node_snmpInASNParseErrs_185 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.6.0");
        node_snmpInASNParseErrs_185.setMibNodeName("SnmpInASNParseErrs");
        node_snmpInASNParseErrs_185.setScalarNode(true);
        node_snmpInASNParseErrs_185.setRealSyntaxType( (byte) 5);
        node_snmpInASNParseErrs_185.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInASNParseErrs_185.setAccess(2);
        OIDTreeNode node_snmpInTooBigs_186 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.8.0");
        node_snmpInTooBigs_186.setMibNodeName("SnmpInTooBigs");
        node_snmpInTooBigs_186.setScalarNode(true);
        node_snmpInTooBigs_186.setRealSyntaxType( (byte) 5);
        node_snmpInTooBigs_186.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInTooBigs_186.setAccess(2);
        OIDTreeNode node_snmpInNoSuchNames_187 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.9.0");
        node_snmpInNoSuchNames_187.setMibNodeName("SnmpInNoSuchNames");
        node_snmpInNoSuchNames_187.setScalarNode(true);
        node_snmpInNoSuchNames_187.setRealSyntaxType( (byte) 5);
        node_snmpInNoSuchNames_187.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInNoSuchNames_187.setAccess(2);
        OIDTreeNode node_snmpInBadValues_188 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.10.0");
        node_snmpInBadValues_188.setMibNodeName("SnmpInBadValues");
        node_snmpInBadValues_188.setScalarNode(true);
        node_snmpInBadValues_188.setRealSyntaxType( (byte) 5);
        node_snmpInBadValues_188.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInBadValues_188.setAccess(2);
        OIDTreeNode node_snmpInReadOnlys_189 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.11.0");
        node_snmpInReadOnlys_189.setMibNodeName("SnmpInReadOnlys");
        node_snmpInReadOnlys_189.setScalarNode(true);
        node_snmpInReadOnlys_189.setRealSyntaxType( (byte) 5);
        node_snmpInReadOnlys_189.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInReadOnlys_189.setAccess(2);
        OIDTreeNode node_snmpInGenErrs_190 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.12.0");
        node_snmpInGenErrs_190.setMibNodeName("SnmpInGenErrs");
        node_snmpInGenErrs_190.setScalarNode(true);
        node_snmpInGenErrs_190.setRealSyntaxType( (byte) 5);
        node_snmpInGenErrs_190.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInGenErrs_190.setAccess(2);
        OIDTreeNode node_snmpInTotalReqVars_191 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.13.0");
        node_snmpInTotalReqVars_191.setMibNodeName("SnmpInTotalReqVars");
        node_snmpInTotalReqVars_191.setScalarNode(true);
        node_snmpInTotalReqVars_191.setRealSyntaxType( (byte) 5);
        node_snmpInTotalReqVars_191.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInTotalReqVars_191.setAccess(2);
        OIDTreeNode node_snmpInTotalSetVars_192 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.14.0");
        node_snmpInTotalSetVars_192.setMibNodeName("SnmpInTotalSetVars");
        node_snmpInTotalSetVars_192.setScalarNode(true);
        node_snmpInTotalSetVars_192.setRealSyntaxType( (byte) 5);
        node_snmpInTotalSetVars_192.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInTotalSetVars_192.setAccess(2);
        OIDTreeNode node_snmpInGetRequests_193 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.15.0");
        node_snmpInGetRequests_193.setMibNodeName("SnmpInGetRequests");
        node_snmpInGetRequests_193.setScalarNode(true);
        node_snmpInGetRequests_193.setRealSyntaxType( (byte) 5);
        node_snmpInGetRequests_193.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInGetRequests_193.setAccess(2);
        OIDTreeNode node_snmpInGetNexts_194 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.16.0");
        node_snmpInGetNexts_194.setMibNodeName("SnmpInGetNexts");
        node_snmpInGetNexts_194.setScalarNode(true);
        node_snmpInGetNexts_194.setRealSyntaxType( (byte) 5);
        node_snmpInGetNexts_194.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInGetNexts_194.setAccess(2);
        OIDTreeNode node_snmpInSetRequests_195 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.17.0");
        node_snmpInSetRequests_195.setMibNodeName("SnmpInSetRequests");
        node_snmpInSetRequests_195.setScalarNode(true);
        node_snmpInSetRequests_195.setRealSyntaxType( (byte) 5);
        node_snmpInSetRequests_195.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInSetRequests_195.setAccess(2);
        OIDTreeNode node_snmpInGetResponses_196 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.18.0");
        node_snmpInGetResponses_196.setMibNodeName("SnmpInGetResponses");
        node_snmpInGetResponses_196.setScalarNode(true);
        node_snmpInGetResponses_196.setRealSyntaxType( (byte) 5);
        node_snmpInGetResponses_196.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInGetResponses_196.setAccess(2);
        OIDTreeNode node_snmpInTraps_197 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.19.0");
        node_snmpInTraps_197.setMibNodeName("SnmpInTraps");
        node_snmpInTraps_197.setScalarNode(true);
        node_snmpInTraps_197.setRealSyntaxType( (byte) 5);
        node_snmpInTraps_197.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpInTraps_197.setAccess(2);
        OIDTreeNode node_snmpOutTooBigs_198 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.20.0");
        node_snmpOutTooBigs_198.setMibNodeName("SnmpOutTooBigs");
        node_snmpOutTooBigs_198.setScalarNode(true);
        node_snmpOutTooBigs_198.setRealSyntaxType( (byte) 5);
        node_snmpOutTooBigs_198.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutTooBigs_198.setAccess(2);
        OIDTreeNode node_snmpOutNoSuchNames_199 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.21.0");
        node_snmpOutNoSuchNames_199.setMibNodeName("SnmpOutNoSuchNames");
        node_snmpOutNoSuchNames_199.setScalarNode(true);
        node_snmpOutNoSuchNames_199.setRealSyntaxType( (byte) 5);
        node_snmpOutNoSuchNames_199.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutNoSuchNames_199.setAccess(2);
        OIDTreeNode node_snmpOutBadValues_200 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.22.0");
        node_snmpOutBadValues_200.setMibNodeName("SnmpOutBadValues");
        node_snmpOutBadValues_200.setScalarNode(true);
        node_snmpOutBadValues_200.setRealSyntaxType( (byte) 5);
        node_snmpOutBadValues_200.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutBadValues_200.setAccess(2);
        OIDTreeNode node_snmpOutGenErrs_201 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.24.0");
        node_snmpOutGenErrs_201.setMibNodeName("SnmpOutGenErrs");
        node_snmpOutGenErrs_201.setScalarNode(true);
        node_snmpOutGenErrs_201.setRealSyntaxType( (byte) 5);
        node_snmpOutGenErrs_201.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutGenErrs_201.setAccess(2);
        OIDTreeNode node_snmpOutGetRequests_202 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.25.0");
        node_snmpOutGetRequests_202.setMibNodeName("SnmpOutGetRequests");
        node_snmpOutGetRequests_202.setScalarNode(true);
        node_snmpOutGetRequests_202.setRealSyntaxType( (byte) 5);
        node_snmpOutGetRequests_202.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutGetRequests_202.setAccess(2);
        OIDTreeNode node_snmpOutGetNexts_203 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.26.0");
        node_snmpOutGetNexts_203.setMibNodeName("SnmpOutGetNexts");
        node_snmpOutGetNexts_203.setScalarNode(true);
        node_snmpOutGetNexts_203.setRealSyntaxType( (byte) 5);
        node_snmpOutGetNexts_203.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutGetNexts_203.setAccess(2);
        OIDTreeNode node_snmpOutSetRequests_204 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.27.0");
        node_snmpOutSetRequests_204.setMibNodeName("SnmpOutSetRequests");
        node_snmpOutSetRequests_204.setScalarNode(true);
        node_snmpOutSetRequests_204.setRealSyntaxType( (byte) 5);
        node_snmpOutSetRequests_204.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutSetRequests_204.setAccess(2);
        OIDTreeNode node_snmpOutGetResponses_205 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.28.0");
        node_snmpOutGetResponses_205.setMibNodeName("SnmpOutGetResponses");
        node_snmpOutGetResponses_205.setScalarNode(true);
        node_snmpOutGetResponses_205.setRealSyntaxType( (byte) 5);
        node_snmpOutGetResponses_205.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutGetResponses_205.setAccess(2);
        OIDTreeNode node_snmpOutTraps_206 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.29.0");
        node_snmpOutTraps_206.setMibNodeName("SnmpOutTraps");
        node_snmpOutTraps_206.setScalarNode(true);
        node_snmpOutTraps_206.setRealSyntaxType( (byte) 5);
        node_snmpOutTraps_206.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpOutTraps_206.setAccess(2);
        OIDTreeNode node_snmpEnableAuthenTraps_207 = (OIDTreeNode) node_snmp_179.addChild(".1.3.6.1.2.1.11.30.0");
        node_snmpEnableAuthenTraps_207.setMibNodeName("SnmpEnableAuthenTraps");
        node_snmpEnableAuthenTraps_207.setScalarNode(true);
        node_snmpEnableAuthenTraps_207.setRealSyntaxType( (byte) 2);
        node_snmpEnableAuthenTraps_207.setObjectName("ireasoning:name=SnmpGroup,noPdu=true");
        node_snmpEnableAuthenTraps_207.setAccess(3);
        OIDTreeNode node_experimental_208 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.3");
        node_experimental_208.setMibNodeName("Experimental");
        OIDTreeNode node_private_209 = (OIDTreeNode) node_internet_4.addChild(".1.3.6.1.4");
        node_private_209.setMibNodeName("Private");
        node_private_209.setGroupNode(true);
        OIDTreeNode node_enterprises_210 = (OIDTreeNode) node_private_209.addChild(".1.3.6.1.4.1");
        node_enterprises_210.setMibNodeName("Enterprises");
        _root = node_RFC1213_MIB_0 ;
        return node_RFC1213_MIB_0;
    }
    
    private static OIDTreeNode addIfTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ifTable_18 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.2.2");
        node_ifTable_18.setMibNodeName("IfTable");
        node_ifTable_18.setObjectName("ireasoning:name=IfTable,noPdu=true");
        node_ifTable_18.setTableNode(true);
        OIDTreeNode node_ifEntry_19 = (OIDTreeNode) node_ifTable_18.addChild(".1.3.6.1.2.1.2.2.1");
        node_ifEntry_19.setMibNodeName("IfEntry");
        
        OIDTreeNode node_ifIndex_20 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.1");
        node_ifIndex_20.setMibNodeName("IfIndex");
        node_ifIndex_20.setTableColumnNode(true);
        node_ifIndex_20.setRealSyntaxType( (byte) 2);
        node_ifIndex_20.setAccess(2);
        OIDTreeNode node_ifDescr_21 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.2");
        node_ifDescr_21.setMibNodeName("IfDescr");
        node_ifDescr_21.setTableColumnNode(true);
        node_ifDescr_21.setRealSyntaxType( (byte) 1);
        node_ifDescr_21.setAccess(2);
        OIDTreeNode node_ifType_22 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.3");
        node_ifType_22.setMibNodeName("IfType");
        node_ifType_22.setTableColumnNode(true);
        node_ifType_22.setRealSyntaxType( (byte) 2);
        node_ifType_22.setAccess(2);
        OIDTreeNode node_ifMtu_23 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.4");
        node_ifMtu_23.setMibNodeName("IfMtu");
        node_ifMtu_23.setTableColumnNode(true);
        node_ifMtu_23.setRealSyntaxType( (byte) 2);
        node_ifMtu_23.setAccess(2);
        OIDTreeNode node_ifSpeed_24 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.5");
        node_ifSpeed_24.setMibNodeName("IfSpeed");
        node_ifSpeed_24.setTableColumnNode(true);
        node_ifSpeed_24.setRealSyntaxType( (byte) 4);
        node_ifSpeed_24.setAccess(2);
        OIDTreeNode node_ifPhysAddress_25 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.6");
        node_ifPhysAddress_25.setMibNodeName("IfPhysAddress");
        node_ifPhysAddress_25.setTableColumnNode(true);
        node_ifPhysAddress_25.setRealSyntaxType( (byte) 1);
        node_ifPhysAddress_25.setAccess(2);
        OIDTreeNode node_ifAdminStatus_26 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.7");
        node_ifAdminStatus_26.setMibNodeName("IfAdminStatus");
        node_ifAdminStatus_26.setTableColumnNode(true);
        node_ifAdminStatus_26.setRealSyntaxType( (byte) 2);
        node_ifAdminStatus_26.setAccess(3);
        OIDTreeNode node_ifOperStatus_27 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.8");
        node_ifOperStatus_27.setMibNodeName("IfOperStatus");
        node_ifOperStatus_27.setTableColumnNode(true);
        node_ifOperStatus_27.setRealSyntaxType( (byte) 2);
        node_ifOperStatus_27.setAccess(2);
        OIDTreeNode node_ifLastChange_28 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.9");
        node_ifLastChange_28.setMibNodeName("IfLastChange");
        node_ifLastChange_28.setTableColumnNode(true);
        node_ifLastChange_28.setRealSyntaxType( (byte) 7);
        node_ifLastChange_28.setAccess(2);
        OIDTreeNode node_ifInOctets_29 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.10");
        node_ifInOctets_29.setMibNodeName("IfInOctets");
        node_ifInOctets_29.setTableColumnNode(true);
        node_ifInOctets_29.setRealSyntaxType( (byte) 5);
        node_ifInOctets_29.setAccess(2);
        OIDTreeNode node_ifInUcastPkts_30 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.11");
        node_ifInUcastPkts_30.setMibNodeName("IfInUcastPkts");
        node_ifInUcastPkts_30.setTableColumnNode(true);
        node_ifInUcastPkts_30.setRealSyntaxType( (byte) 5);
        node_ifInUcastPkts_30.setAccess(2);
        OIDTreeNode node_ifInNUcastPkts_31 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.12");
        node_ifInNUcastPkts_31.setMibNodeName("IfInNUcastPkts");
        node_ifInNUcastPkts_31.setTableColumnNode(true);
        node_ifInNUcastPkts_31.setRealSyntaxType( (byte) 5);
        node_ifInNUcastPkts_31.setAccess(2);
        OIDTreeNode node_ifInDiscards_32 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.13");
        node_ifInDiscards_32.setMibNodeName("IfInDiscards");
        node_ifInDiscards_32.setTableColumnNode(true);
        node_ifInDiscards_32.setRealSyntaxType( (byte) 5);
        node_ifInDiscards_32.setAccess(2);
        OIDTreeNode node_ifInErrors_33 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.14");
        node_ifInErrors_33.setMibNodeName("IfInErrors");
        node_ifInErrors_33.setTableColumnNode(true);
        node_ifInErrors_33.setRealSyntaxType( (byte) 5);
        node_ifInErrors_33.setAccess(2);
        OIDTreeNode node_ifInUnknownProtos_34 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.15");
        node_ifInUnknownProtos_34.setMibNodeName("IfInUnknownProtos");
        node_ifInUnknownProtos_34.setTableColumnNode(true);
        node_ifInUnknownProtos_34.setRealSyntaxType( (byte) 5);
        node_ifInUnknownProtos_34.setAccess(2);
        OIDTreeNode node_ifOutOctets_35 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.16");
        node_ifOutOctets_35.setMibNodeName("IfOutOctets");
        node_ifOutOctets_35.setTableColumnNode(true);
        node_ifOutOctets_35.setRealSyntaxType( (byte) 5);
        node_ifOutOctets_35.setAccess(2);
        OIDTreeNode node_ifOutUcastPkts_36 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.17");
        node_ifOutUcastPkts_36.setMibNodeName("IfOutUcastPkts");
        node_ifOutUcastPkts_36.setTableColumnNode(true);
        node_ifOutUcastPkts_36.setRealSyntaxType( (byte) 5);
        node_ifOutUcastPkts_36.setAccess(2);
        OIDTreeNode node_ifOutNUcastPkts_37 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.18");
        node_ifOutNUcastPkts_37.setMibNodeName("IfOutNUcastPkts");
        node_ifOutNUcastPkts_37.setTableColumnNode(true);
        node_ifOutNUcastPkts_37.setRealSyntaxType( (byte) 5);
        node_ifOutNUcastPkts_37.setAccess(2);
        OIDTreeNode node_ifOutDiscards_38 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.19");
        node_ifOutDiscards_38.setMibNodeName("IfOutDiscards");
        node_ifOutDiscards_38.setTableColumnNode(true);
        node_ifOutDiscards_38.setRealSyntaxType( (byte) 5);
        node_ifOutDiscards_38.setAccess(2);
        OIDTreeNode node_ifOutErrors_39 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.20");
        node_ifOutErrors_39.setMibNodeName("IfOutErrors");
        node_ifOutErrors_39.setTableColumnNode(true);
        node_ifOutErrors_39.setRealSyntaxType( (byte) 5);
        node_ifOutErrors_39.setAccess(2);
        OIDTreeNode node_ifOutQLen_40 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.21");
        node_ifOutQLen_40.setMibNodeName("IfOutQLen");
        node_ifOutQLen_40.setTableColumnNode(true);
        node_ifOutQLen_40.setRealSyntaxType( (byte) 4);
        node_ifOutQLen_40.setAccess(2);
        OIDTreeNode node_ifSpecific_41 = (OIDTreeNode) node_ifEntry_19.addChild(".1.3.6.1.2.1.2.2.1.22");
        node_ifSpecific_41.setMibNodeName("IfSpecific");
        node_ifSpecific_41.setTableColumnNode(true);
        node_ifSpecific_41.setRealSyntaxType( (byte) 0);
        node_ifSpecific_41.setAccess(2);
        
        return node_ifTable_18;
    }
    
    private static OIDTreeNode addAtTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_atTable_43 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.3.1");
        node_atTable_43.setMibNodeName("AtTable");
        node_atTable_43.setObjectName("ireasoning:name=AtTable,noPdu=true");
        node_atTable_43.setTableNode(true);
        OIDTreeNode node_atEntry_44 = (OIDTreeNode) node_atTable_43.addChild(".1.3.6.1.2.1.3.1.1");
        node_atEntry_44.setMibNodeName("AtEntry");
        
        OIDTreeNode node_atIfIndex_45 = (OIDTreeNode) node_atEntry_44.addChild(".1.3.6.1.2.1.3.1.1.1");
        node_atIfIndex_45.setMibNodeName("AtIfIndex");
        node_atIfIndex_45.setTableColumnNode(true);
        node_atIfIndex_45.setRealSyntaxType( (byte) 2);
        node_atIfIndex_45.setAccess(3);
        OIDTreeNode node_atPhysAddress_46 = (OIDTreeNode) node_atEntry_44.addChild(".1.3.6.1.2.1.3.1.1.2");
        node_atPhysAddress_46.setMibNodeName("AtPhysAddress");
        node_atPhysAddress_46.setTableColumnNode(true);
        node_atPhysAddress_46.setRealSyntaxType( (byte) 1);
        node_atPhysAddress_46.setAccess(3);
        OIDTreeNode node_atNetAddress_47 = (OIDTreeNode) node_atEntry_44.addChild(".1.3.6.1.2.1.3.1.1.3");
        node_atNetAddress_47.setMibNodeName("AtNetAddress");
        node_atNetAddress_47.setTableColumnNode(true);
        node_atNetAddress_47.setRealSyntaxType( (byte) 8);
        node_atNetAddress_47.setAccess(3);
        
        return node_atTable_43;
    }
    
    private static OIDTreeNode addIpAddrTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ipAddrTable_68 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.4.20");
        node_ipAddrTable_68.setMibNodeName("IpAddrTable");
        node_ipAddrTable_68.setObjectName("ireasoning:name=IpAddrTable,noPdu=true");
        node_ipAddrTable_68.setTableNode(true);
        OIDTreeNode node_ipAddrEntry_69 = (OIDTreeNode) node_ipAddrTable_68.addChild(".1.3.6.1.2.1.4.20.1");
        node_ipAddrEntry_69.setMibNodeName("IpAddrEntry");
        
        OIDTreeNode node_ipAdEntAddr_70 = (OIDTreeNode) node_ipAddrEntry_69.addChild(".1.3.6.1.2.1.4.20.1.1");
        node_ipAdEntAddr_70.setMibNodeName("IpAdEntAddr");
        node_ipAdEntAddr_70.setTableColumnNode(true);
        node_ipAdEntAddr_70.setRealSyntaxType( (byte) 8);
        node_ipAdEntAddr_70.setAccess(2);
        OIDTreeNode node_ipAdEntIfIndex_71 = (OIDTreeNode) node_ipAddrEntry_69.addChild(".1.3.6.1.2.1.4.20.1.2");
        node_ipAdEntIfIndex_71.setMibNodeName("IpAdEntIfIndex");
        node_ipAdEntIfIndex_71.setTableColumnNode(true);
        node_ipAdEntIfIndex_71.setRealSyntaxType( (byte) 2);
        node_ipAdEntIfIndex_71.setAccess(2);
        OIDTreeNode node_ipAdEntNetMask_72 = (OIDTreeNode) node_ipAddrEntry_69.addChild(".1.3.6.1.2.1.4.20.1.3");
        node_ipAdEntNetMask_72.setMibNodeName("IpAdEntNetMask");
        node_ipAdEntNetMask_72.setTableColumnNode(true);
        node_ipAdEntNetMask_72.setRealSyntaxType( (byte) 8);
        node_ipAdEntNetMask_72.setAccess(2);
        OIDTreeNode node_ipAdEntBcastAddr_73 = (OIDTreeNode) node_ipAddrEntry_69.addChild(".1.3.6.1.2.1.4.20.1.4");
        node_ipAdEntBcastAddr_73.setMibNodeName("IpAdEntBcastAddr");
        node_ipAdEntBcastAddr_73.setTableColumnNode(true);
        node_ipAdEntBcastAddr_73.setRealSyntaxType( (byte) 2);
        node_ipAdEntBcastAddr_73.setAccess(2);
        OIDTreeNode node_ipAdEntReasmMaxSize_74 = (OIDTreeNode) node_ipAddrEntry_69.addChild(".1.3.6.1.2.1.4.20.1.5");
        node_ipAdEntReasmMaxSize_74.setMibNodeName("IpAdEntReasmMaxSize");
        node_ipAdEntReasmMaxSize_74.setTableColumnNode(true);
        node_ipAdEntReasmMaxSize_74.setRealSyntaxType( (byte) 2);
        node_ipAdEntReasmMaxSize_74.setAccess(2);
        
        return node_ipAddrTable_68;
    }
    
    private static OIDTreeNode addIpRouteTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ipRouteTable_75 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.4.21");
        node_ipRouteTable_75.setMibNodeName("IpRouteTable");
        node_ipRouteTable_75.setObjectName("ireasoning:name=IpRouteTable,noPdu=true");
        node_ipRouteTable_75.setTableNode(true);
        OIDTreeNode node_ipRouteEntry_76 = (OIDTreeNode) node_ipRouteTable_75.addChild(".1.3.6.1.2.1.4.21.1");
        node_ipRouteEntry_76.setMibNodeName("IpRouteEntry");
        
        OIDTreeNode node_ipRouteDest_77 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.1");
        node_ipRouteDest_77.setMibNodeName("IpRouteDest");
        node_ipRouteDest_77.setTableColumnNode(true);
        node_ipRouteDest_77.setRealSyntaxType( (byte) 8);
        node_ipRouteDest_77.setAccess(3);
        OIDTreeNode node_ipRouteIfIndex_78 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.2");
        node_ipRouteIfIndex_78.setMibNodeName("IpRouteIfIndex");
        node_ipRouteIfIndex_78.setTableColumnNode(true);
        node_ipRouteIfIndex_78.setRealSyntaxType( (byte) 2);
        node_ipRouteIfIndex_78.setAccess(3);
        OIDTreeNode node_ipRouteMetric1_79 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.3");
        node_ipRouteMetric1_79.setMibNodeName("IpRouteMetric1");
        node_ipRouteMetric1_79.setTableColumnNode(true);
        node_ipRouteMetric1_79.setRealSyntaxType( (byte) 2);
        node_ipRouteMetric1_79.setAccess(3);
        OIDTreeNode node_ipRouteMetric2_80 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.4");
        node_ipRouteMetric2_80.setMibNodeName("IpRouteMetric2");
        node_ipRouteMetric2_80.setTableColumnNode(true);
        node_ipRouteMetric2_80.setRealSyntaxType( (byte) 2);
        node_ipRouteMetric2_80.setAccess(3);
        OIDTreeNode node_ipRouteMetric3_81 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.5");
        node_ipRouteMetric3_81.setMibNodeName("IpRouteMetric3");
        node_ipRouteMetric3_81.setTableColumnNode(true);
        node_ipRouteMetric3_81.setRealSyntaxType( (byte) 2);
        node_ipRouteMetric3_81.setAccess(3);
        OIDTreeNode node_ipRouteMetric4_82 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.6");
        node_ipRouteMetric4_82.setMibNodeName("IpRouteMetric4");
        node_ipRouteMetric4_82.setTableColumnNode(true);
        node_ipRouteMetric4_82.setRealSyntaxType( (byte) 2);
        node_ipRouteMetric4_82.setAccess(3);
        OIDTreeNode node_ipRouteNextHop_83 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.7");
        node_ipRouteNextHop_83.setMibNodeName("IpRouteNextHop");
        node_ipRouteNextHop_83.setTableColumnNode(true);
        node_ipRouteNextHop_83.setRealSyntaxType( (byte) 8);
        node_ipRouteNextHop_83.setAccess(3);
        OIDTreeNode node_ipRouteType_84 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.8");
        node_ipRouteType_84.setMibNodeName("IpRouteType");
        node_ipRouteType_84.setTableColumnNode(true);
        node_ipRouteType_84.setRealSyntaxType( (byte) 2);
        node_ipRouteType_84.setAccess(3);
        OIDTreeNode node_ipRouteProto_85 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.9");
        node_ipRouteProto_85.setMibNodeName("IpRouteProto");
        node_ipRouteProto_85.setTableColumnNode(true);
        node_ipRouteProto_85.setRealSyntaxType( (byte) 2);
        node_ipRouteProto_85.setAccess(2);
        OIDTreeNode node_ipRouteAge_86 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.10");
        node_ipRouteAge_86.setMibNodeName("IpRouteAge");
        node_ipRouteAge_86.setTableColumnNode(true);
        node_ipRouteAge_86.setRealSyntaxType( (byte) 2);
        node_ipRouteAge_86.setAccess(3);
        OIDTreeNode node_ipRouteMask_87 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.11");
        node_ipRouteMask_87.setMibNodeName("IpRouteMask");
        node_ipRouteMask_87.setTableColumnNode(true);
        node_ipRouteMask_87.setRealSyntaxType( (byte) 8);
        node_ipRouteMask_87.setAccess(3);
        OIDTreeNode node_ipRouteMetric5_88 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.12");
        node_ipRouteMetric5_88.setMibNodeName("IpRouteMetric5");
        node_ipRouteMetric5_88.setTableColumnNode(true);
        node_ipRouteMetric5_88.setRealSyntaxType( (byte) 2);
        node_ipRouteMetric5_88.setAccess(3);
        OIDTreeNode node_ipRouteInfo_89 = (OIDTreeNode) node_ipRouteEntry_76.addChild(".1.3.6.1.2.1.4.21.1.13");
        node_ipRouteInfo_89.setMibNodeName("IpRouteInfo");
        node_ipRouteInfo_89.setTableColumnNode(true);
        node_ipRouteInfo_89.setRealSyntaxType( (byte) 0);
        node_ipRouteInfo_89.setAccess(2);
        
        return node_ipRouteTable_75;
    }
    
    private static OIDTreeNode addIpNetToMediaTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_ipNetToMediaTable_90 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.4.22");
        node_ipNetToMediaTable_90.setMibNodeName("IpNetToMediaTable");
        node_ipNetToMediaTable_90.setObjectName("ireasoning:name=IpNetToMediaTable,noPdu=true");
        node_ipNetToMediaTable_90.setTableNode(true);
        OIDTreeNode node_ipNetToMediaEntry_91 = (OIDTreeNode) node_ipNetToMediaTable_90.addChild(".1.3.6.1.2.1.4.22.1");
        node_ipNetToMediaEntry_91.setMibNodeName("IpNetToMediaEntry");
        
        OIDTreeNode node_ipNetToMediaIfIndex_92 = (OIDTreeNode) node_ipNetToMediaEntry_91.addChild(".1.3.6.1.2.1.4.22.1.1");
        node_ipNetToMediaIfIndex_92.setMibNodeName("IpNetToMediaIfIndex");
        node_ipNetToMediaIfIndex_92.setTableColumnNode(true);
        node_ipNetToMediaIfIndex_92.setRealSyntaxType( (byte) 2);
        node_ipNetToMediaIfIndex_92.setAccess(3);
        OIDTreeNode node_ipNetToMediaPhysAddress_93 = (OIDTreeNode) node_ipNetToMediaEntry_91.addChild(".1.3.6.1.2.1.4.22.1.2");
        node_ipNetToMediaPhysAddress_93.setMibNodeName("IpNetToMediaPhysAddress");
        node_ipNetToMediaPhysAddress_93.setTableColumnNode(true);
        node_ipNetToMediaPhysAddress_93.setRealSyntaxType( (byte) 1);
        node_ipNetToMediaPhysAddress_93.setAccess(3);
        OIDTreeNode node_ipNetToMediaNetAddress_94 = (OIDTreeNode) node_ipNetToMediaEntry_91.addChild(".1.3.6.1.2.1.4.22.1.3");
        node_ipNetToMediaNetAddress_94.setMibNodeName("IpNetToMediaNetAddress");
        node_ipNetToMediaNetAddress_94.setTableColumnNode(true);
        node_ipNetToMediaNetAddress_94.setRealSyntaxType( (byte) 8);
        node_ipNetToMediaNetAddress_94.setAccess(3);
        OIDTreeNode node_ipNetToMediaType_95 = (OIDTreeNode) node_ipNetToMediaEntry_91.addChild(".1.3.6.1.2.1.4.22.1.4");
        node_ipNetToMediaType_95.setMibNodeName("IpNetToMediaType");
        node_ipNetToMediaType_95.setTableColumnNode(true);
        node_ipNetToMediaType_95.setRealSyntaxType( (byte) 2);
        node_ipNetToMediaType_95.setAccess(3);
        
        return node_ipNetToMediaTable_90;
    }
    
    private static OIDTreeNode addTcpConnTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_tcpConnTable_137 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.6.13");
        node_tcpConnTable_137.setMibNodeName("TcpConnTable");
        node_tcpConnTable_137.setObjectName("ireasoning:name=TcpConnTable,noPdu=true");
        node_tcpConnTable_137.setTableNode(true);
        OIDTreeNode node_tcpConnEntry_138 = (OIDTreeNode) node_tcpConnTable_137.addChild(".1.3.6.1.2.1.6.13.1");
        node_tcpConnEntry_138.setMibNodeName("TcpConnEntry");
        
        OIDTreeNode node_tcpConnState_139 = (OIDTreeNode) node_tcpConnEntry_138.addChild(".1.3.6.1.2.1.6.13.1.1");
        node_tcpConnState_139.setMibNodeName("TcpConnState");
        node_tcpConnState_139.setTableColumnNode(true);
        node_tcpConnState_139.setRealSyntaxType( (byte) 2);
        node_tcpConnState_139.setAccess(3);
        OIDTreeNode node_tcpConnLocalAddress_140 = (OIDTreeNode) node_tcpConnEntry_138.addChild(".1.3.6.1.2.1.6.13.1.2");
        node_tcpConnLocalAddress_140.setMibNodeName("TcpConnLocalAddress");
        node_tcpConnLocalAddress_140.setTableColumnNode(true);
        node_tcpConnLocalAddress_140.setRealSyntaxType( (byte) 8);
        node_tcpConnLocalAddress_140.setAccess(2);
        OIDTreeNode node_tcpConnLocalPort_141 = (OIDTreeNode) node_tcpConnEntry_138.addChild(".1.3.6.1.2.1.6.13.1.3");
        node_tcpConnLocalPort_141.setMibNodeName("TcpConnLocalPort");
        node_tcpConnLocalPort_141.setTableColumnNode(true);
        node_tcpConnLocalPort_141.setRealSyntaxType( (byte) 2);
        node_tcpConnLocalPort_141.setAccess(2);
        OIDTreeNode node_tcpConnRemAddress_142 = (OIDTreeNode) node_tcpConnEntry_138.addChild(".1.3.6.1.2.1.6.13.1.4");
        node_tcpConnRemAddress_142.setMibNodeName("TcpConnRemAddress");
        node_tcpConnRemAddress_142.setTableColumnNode(true);
        node_tcpConnRemAddress_142.setRealSyntaxType( (byte) 8);
        node_tcpConnRemAddress_142.setAccess(2);
        OIDTreeNode node_tcpConnRemPort_143 = (OIDTreeNode) node_tcpConnEntry_138.addChild(".1.3.6.1.2.1.6.13.1.5");
        node_tcpConnRemPort_143.setMibNodeName("TcpConnRemPort");
        node_tcpConnRemPort_143.setTableColumnNode(true);
        node_tcpConnRemPort_143.setRealSyntaxType( (byte) 2);
        node_tcpConnRemPort_143.setAccess(2);
        
        return node_tcpConnTable_137;
    }
    
    private static OIDTreeNode addUdpTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_udpTable_151 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.7.5");
        node_udpTable_151.setMibNodeName("UdpTable");
        node_udpTable_151.setObjectName("ireasoning:name=UdpTable,noPdu=true");
        node_udpTable_151.setTableNode(true);
        OIDTreeNode node_udpEntry_152 = (OIDTreeNode) node_udpTable_151.addChild(".1.3.6.1.2.1.7.5.1");
        node_udpEntry_152.setMibNodeName("UdpEntry");
        
        OIDTreeNode node_udpLocalAddress_153 = (OIDTreeNode) node_udpEntry_152.addChild(".1.3.6.1.2.1.7.5.1.1");
        node_udpLocalAddress_153.setMibNodeName("UdpLocalAddress");
        node_udpLocalAddress_153.setTableColumnNode(true);
        node_udpLocalAddress_153.setRealSyntaxType( (byte) 8);
        node_udpLocalAddress_153.setAccess(2);
        OIDTreeNode node_udpLocalPort_154 = (OIDTreeNode) node_udpEntry_152.addChild(".1.3.6.1.2.1.7.5.1.2");
        node_udpLocalPort_154.setMibNodeName("UdpLocalPort");
        node_udpLocalPort_154.setTableColumnNode(true);
        node_udpLocalPort_154.setRealSyntaxType( (byte) 2);
        node_udpLocalPort_154.setAccess(2);
        
        return node_udpTable_151;
    }
    
    private static OIDTreeNode addEgpNeighTable(OIDTreeNode parentNode)
    {
        OIDTreeNode node_egpNeighTable_160 = (OIDTreeNode) parentNode.addChild(".1.3.6.1.2.1.8.5");
        node_egpNeighTable_160.setMibNodeName("EgpNeighTable");
        node_egpNeighTable_160.setObjectName("ireasoning:name=EgpNeighTable,noPdu=true");
        node_egpNeighTable_160.setTableNode(true);
        OIDTreeNode node_egpNeighEntry_161 = (OIDTreeNode) node_egpNeighTable_160.addChild(".1.3.6.1.2.1.8.5.1");
        node_egpNeighEntry_161.setMibNodeName("EgpNeighEntry");
        
        OIDTreeNode node_egpNeighState_162 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.1");
        node_egpNeighState_162.setMibNodeName("EgpNeighState");
        node_egpNeighState_162.setTableColumnNode(true);
        node_egpNeighState_162.setRealSyntaxType( (byte) 2);
        node_egpNeighState_162.setAccess(2);
        OIDTreeNode node_egpNeighAddr_163 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.2");
        node_egpNeighAddr_163.setMibNodeName("EgpNeighAddr");
        node_egpNeighAddr_163.setTableColumnNode(true);
        node_egpNeighAddr_163.setRealSyntaxType( (byte) 8);
        node_egpNeighAddr_163.setAccess(2);
        OIDTreeNode node_egpNeighAs_164 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.3");
        node_egpNeighAs_164.setMibNodeName("EgpNeighAs");
        node_egpNeighAs_164.setTableColumnNode(true);
        node_egpNeighAs_164.setRealSyntaxType( (byte) 2);
        node_egpNeighAs_164.setAccess(2);
        OIDTreeNode node_egpNeighInMsgs_165 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.4");
        node_egpNeighInMsgs_165.setMibNodeName("EgpNeighInMsgs");
        node_egpNeighInMsgs_165.setTableColumnNode(true);
        node_egpNeighInMsgs_165.setRealSyntaxType( (byte) 5);
        node_egpNeighInMsgs_165.setAccess(2);
        OIDTreeNode node_egpNeighInErrs_166 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.5");
        node_egpNeighInErrs_166.setMibNodeName("EgpNeighInErrs");
        node_egpNeighInErrs_166.setTableColumnNode(true);
        node_egpNeighInErrs_166.setRealSyntaxType( (byte) 5);
        node_egpNeighInErrs_166.setAccess(2);
        OIDTreeNode node_egpNeighOutMsgs_167 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.6");
        node_egpNeighOutMsgs_167.setMibNodeName("EgpNeighOutMsgs");
        node_egpNeighOutMsgs_167.setTableColumnNode(true);
        node_egpNeighOutMsgs_167.setRealSyntaxType( (byte) 5);
        node_egpNeighOutMsgs_167.setAccess(2);
        OIDTreeNode node_egpNeighOutErrs_168 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.7");
        node_egpNeighOutErrs_168.setMibNodeName("EgpNeighOutErrs");
        node_egpNeighOutErrs_168.setTableColumnNode(true);
        node_egpNeighOutErrs_168.setRealSyntaxType( (byte) 5);
        node_egpNeighOutErrs_168.setAccess(2);
        OIDTreeNode node_egpNeighInErrMsgs_169 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.8");
        node_egpNeighInErrMsgs_169.setMibNodeName("EgpNeighInErrMsgs");
        node_egpNeighInErrMsgs_169.setTableColumnNode(true);
        node_egpNeighInErrMsgs_169.setRealSyntaxType( (byte) 5);
        node_egpNeighInErrMsgs_169.setAccess(2);
        OIDTreeNode node_egpNeighOutErrMsgs_170 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.9");
        node_egpNeighOutErrMsgs_170.setMibNodeName("EgpNeighOutErrMsgs");
        node_egpNeighOutErrMsgs_170.setTableColumnNode(true);
        node_egpNeighOutErrMsgs_170.setRealSyntaxType( (byte) 5);
        node_egpNeighOutErrMsgs_170.setAccess(2);
        OIDTreeNode node_egpNeighStateUps_171 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.10");
        node_egpNeighStateUps_171.setMibNodeName("EgpNeighStateUps");
        node_egpNeighStateUps_171.setTableColumnNode(true);
        node_egpNeighStateUps_171.setRealSyntaxType( (byte) 5);
        node_egpNeighStateUps_171.setAccess(2);
        OIDTreeNode node_egpNeighStateDowns_172 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.11");
        node_egpNeighStateDowns_172.setMibNodeName("EgpNeighStateDowns");
        node_egpNeighStateDowns_172.setTableColumnNode(true);
        node_egpNeighStateDowns_172.setRealSyntaxType( (byte) 5);
        node_egpNeighStateDowns_172.setAccess(2);
        OIDTreeNode node_egpNeighIntervalHello_173 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.12");
        node_egpNeighIntervalHello_173.setMibNodeName("EgpNeighIntervalHello");
        node_egpNeighIntervalHello_173.setTableColumnNode(true);
        node_egpNeighIntervalHello_173.setRealSyntaxType( (byte) 2);
        node_egpNeighIntervalHello_173.setAccess(2);
        OIDTreeNode node_egpNeighIntervalPoll_174 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.13");
        node_egpNeighIntervalPoll_174.setMibNodeName("EgpNeighIntervalPoll");
        node_egpNeighIntervalPoll_174.setTableColumnNode(true);
        node_egpNeighIntervalPoll_174.setRealSyntaxType( (byte) 2);
        node_egpNeighIntervalPoll_174.setAccess(2);
        OIDTreeNode node_egpNeighMode_175 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.14");
        node_egpNeighMode_175.setMibNodeName("EgpNeighMode");
        node_egpNeighMode_175.setTableColumnNode(true);
        node_egpNeighMode_175.setRealSyntaxType( (byte) 2);
        node_egpNeighMode_175.setAccess(2);
        OIDTreeNode node_egpNeighEventTrigger_176 = (OIDTreeNode) node_egpNeighEntry_161.addChild(".1.3.6.1.2.1.8.5.1.15");
        node_egpNeighEventTrigger_176.setMibNodeName("EgpNeighEventTrigger");
        node_egpNeighEventTrigger_176.setTableColumnNode(true);
        node_egpNeighEventTrigger_176.setRealSyntaxType( (byte) 2);
        node_egpNeighEventTrigger_176.setAccess(3);
        
        return node_egpNeighTable_160;
    }
    
    public static final String SNMPENABLEAUTHENTRAPS = ".1.3.6.1.2.1.11.30.0";
    public static final String ICMPOUTREDIRECTS = ".1.3.6.1.2.1.5.20.0";
    public static final String AT = ".1.3.6.1.2.1.3";
    public static final String EGPNEIGHINERRMSGS = ".1.3.6.1.2.1.8.5.1.8";
    public static final String SNMPOUTGETNEXTS = ".1.3.6.1.2.1.11.26.0";
    public static final String IP = ".1.3.6.1.2.1.4";
    public static final String TCPESTABRESETS = ".1.3.6.1.2.1.6.8.0";
    public static final String ICMPOUTECHOREPS = ".1.3.6.1.2.1.5.22.0";
    public static final String IFSPEED = ".1.3.6.1.2.1.2.2.1.5";
    public static final String EGPNEIGHOUTMSGS = ".1.3.6.1.2.1.8.5.1.6";
    public static final String UDPLOCALADDRESS = ".1.3.6.1.2.1.7.5.1.1";
    public static final String IPINDISCARDS = ".1.3.6.1.2.1.4.8.0";
    public static final String TCPINERRS = ".1.3.6.1.2.1.6.14.0";
    public static final String TCPRETRANSSEGS = ".1.3.6.1.2.1.6.12.0";
    public static final String SYSDESCR = ".1.3.6.1.2.1.1.1.0";
    public static final String PRIVATE = ".1.3.6.1.4";
    public static final String IPFRAGOKS = ".1.3.6.1.2.1.4.17.0";
    public static final String SYSTEM = ".1.3.6.1.2.1.1";
    public static final String SNMPOUTGENERRS = ".1.3.6.1.2.1.11.24.0";
    public static final String IPFORWDATAGRAMS = ".1.3.6.1.2.1.4.6.0";
    public static final String IPROUTEAGE = ".1.3.6.1.2.1.4.21.1.10";
    public static final String ICMPOUTPARMPROBS = ".1.3.6.1.2.1.5.18.0";
    public static final String IFDESCR = ".1.3.6.1.2.1.2.2.1.2";
    public static final String IPROUTETYPE = ".1.3.6.1.2.1.4.21.1.8";
    public static final String EGPNEIGHINERRS = ".1.3.6.1.2.1.8.5.1.5";
    public static final String DOD = ".1.3.6";
    public static final String IFINDEX = ".1.3.6.1.2.1.2.2.1.1";
    public static final String ICMPINADDRMASKS = ".1.3.6.1.2.1.5.12.0";
    public static final String TCPPASSIVEOPENS = ".1.3.6.1.2.1.6.6.0";
    public static final String EGPNEIGHENTRY = ".1.3.6.1.2.1.8.5.1";
    public static final String IFMTU = ".1.3.6.1.2.1.2.2.1.4";
    public static final String IPADDRTABLE = ".1.3.6.1.2.1.4.20";
    public static final String ICMPINTIMEEXCDS = ".1.3.6.1.2.1.5.4.0";
    public static final String ORG = ".1.3";
    public static final String SNMPINBADVERSIONS = ".1.3.6.1.2.1.11.3.0";
    public static final String ICMPOUTTIMEEXCDS = ".1.3.6.1.2.1.5.17.0";
    public static final String EGPINERRORS = ".1.3.6.1.2.1.8.2.0";
    public static final String SYSLOCATION = ".1.3.6.1.2.1.1.6.0";
    public static final String SNMPOUTTRAPS = ".1.3.6.1.2.1.11.29.0";
    public static final String IPINADDRERRORS = ".1.3.6.1.2.1.4.5.0";
    public static final String UDPTABLE = ".1.3.6.1.2.1.7.5";
    public static final String UDPOUTDATAGRAMS = ".1.3.6.1.2.1.7.4.0";
    public static final String IPROUTEMETRIC3 = ".1.3.6.1.2.1.4.21.1.5";
    public static final String UDPLOCALPORT = ".1.3.6.1.2.1.7.5.1.2";
    public static final String IFTYPE = ".1.3.6.1.2.1.2.2.1.3";
    public static final String SNMPINBADCOMMUNITYUSES = ".1.3.6.1.2.1.11.5.0";
    public static final String IPROUTENEXTHOP = ".1.3.6.1.2.1.4.21.1.7";
    public static final String EGPNEIGHSTATEUPS = ".1.3.6.1.2.1.8.5.1.10";
    public static final String ICMPOUTADDRMASKS = ".1.3.6.1.2.1.5.25.0";
    public static final String SNMPINASNPARSEERRS = ".1.3.6.1.2.1.11.6.0";
    public static final String IPFRAGFAILS = ".1.3.6.1.2.1.4.18.0";
    public static final String IFOUTOCTETS = ".1.3.6.1.2.1.2.2.1.16";
    public static final String SYSCONTACT = ".1.3.6.1.2.1.1.4.0";
    public static final String ATTABLE = ".1.3.6.1.2.1.3.1";
    public static final String IPROUTEPROTO = ".1.3.6.1.2.1.4.21.1.9";
    public static final String IPADENTIFINDEX = ".1.3.6.1.2.1.4.20.1.2";
    public static final String DIRECTORY = ".1.3.6.1.1";
    public static final String IFINUNKNOWNPROTOS = ".1.3.6.1.2.1.2.2.1.15";
    public static final String IPINDELIVERS = ".1.3.6.1.2.1.4.9.0";
    public static final String TRANSMISSION = ".1.3.6.1.2.1.10";
    public static final String IPROUTEINFO = ".1.3.6.1.2.1.4.21.1.13";
    public static final String IPOUTNOROUTES = ".1.3.6.1.2.1.4.12.0";
    public static final String IPROUTEMETRIC2 = ".1.3.6.1.2.1.4.21.1.4";
    public static final String ICMPINADDRMASKREPS = ".1.3.6.1.2.1.5.13.0";
    public static final String IFINERRORS = ".1.3.6.1.2.1.2.2.1.14";
    public static final String EXPERIMENTAL = ".1.3.6.1.3";
    public static final String SNMPOUTNOSUCHNAMES = ".1.3.6.1.2.1.11.21.0";
    public static final String SNMPINTRAPS = ".1.3.6.1.2.1.11.19.0";
    public static final String EGPNEIGHOUTERRMSGS = ".1.3.6.1.2.1.8.5.1.9";
    public static final String SYSSERVICES = ".1.3.6.1.2.1.1.7.0";
    public static final String SNMPOUTSETREQUESTS = ".1.3.6.1.2.1.11.27.0";
    public static final String IFNUMBER = ".1.3.6.1.2.1.2.1.0";
    public static final String IPADENTNETMASK = ".1.3.6.1.2.1.4.20.1.3";
    public static final String TCPOUTRSTS = ".1.3.6.1.2.1.6.15.0";
    public static final String UDPENTRY = ".1.3.6.1.2.1.7.5.1";
    public static final String IFINNUCASTPKTS = ".1.3.6.1.2.1.2.2.1.12";
    public static final String TCPCONNTABLE = ".1.3.6.1.2.1.6.13";
    public static final String ICMPINERRORS = ".1.3.6.1.2.1.5.2.0";
    public static final String ICMPOUTDESTUNREACHS = ".1.3.6.1.2.1.5.16.0";
    public static final String IFINUCASTPKTS = ".1.3.6.1.2.1.2.2.1.11";
    public static final String TCPCONNLOCALADDRESS = ".1.3.6.1.2.1.6.13.1.2";
    public static final String EGPNEIGHINMSGS = ".1.3.6.1.2.1.8.5.1.4";
    public static final String TCPACTIVEOPENS = ".1.3.6.1.2.1.6.5.0";
    public static final String IPADENTADDR = ".1.3.6.1.2.1.4.20.1.1";
    public static final String EGPNEIGHINTERVALHELLO = ".1.3.6.1.2.1.8.5.1.12";
    public static final String IPFRAGCREATES = ".1.3.6.1.2.1.4.19.0";
    public static final String IPOUTREQUESTS = ".1.3.6.1.2.1.4.10.0";
    public static final String IPROUTEMETRIC4 = ".1.3.6.1.2.1.4.21.1.6";
    public static final String IPROUTEMASK = ".1.3.6.1.2.1.4.21.1.11";
    public static final String TCPCONNSTATE = ".1.3.6.1.2.1.6.13.1.1";
    public static final String IPINHDRERRORS = ".1.3.6.1.2.1.4.4.0";
    public static final String SNMPOUTGETREQUESTS = ".1.3.6.1.2.1.11.25.0";
    public static final String TCPRTOALGORITHM = ".1.3.6.1.2.1.6.1.0";
    public static final String MGMT = ".1.3.6.1.2";
    public static final String IFADMINSTATUS = ".1.3.6.1.2.1.2.2.1.7";
    public static final String IPADENTREASMMAXSIZE = ".1.3.6.1.2.1.4.20.1.5";
    public static final String TCPINSEGS = ".1.3.6.1.2.1.6.10.0";
    public static final String ICMPINTIMESTAMPS = ".1.3.6.1.2.1.5.10.0";
    public static final String EGPINMSGS = ".1.3.6.1.2.1.8.1.0";
    public static final String ICMPINTIMESTAMPREPS = ".1.3.6.1.2.1.5.11.0";
    public static final String ATNETADDRESS = ".1.3.6.1.2.1.3.1.1.3";
    public static final String ICMPINPARMPROBS = ".1.3.6.1.2.1.5.5.0";
    public static final String IPADENTBCASTADDR = ".1.3.6.1.2.1.4.20.1.4";
    public static final String ATPHYSADDRESS = ".1.3.6.1.2.1.3.1.1.2";
    public static final String IFLASTCHANGE = ".1.3.6.1.2.1.2.2.1.9";
    public static final String EGPAS = ".1.3.6.1.2.1.8.6.0";
    public static final String ICMPINECHOS = ".1.3.6.1.2.1.5.8.0";
    public static final String IFOUTDISCARDS = ".1.3.6.1.2.1.2.2.1.19";
    public static final String IPROUTEMETRIC5 = ".1.3.6.1.2.1.4.21.1.12";
    public static final String SYSNAME = ".1.3.6.1.2.1.1.5.0";
    public static final String EGPNEIGHAS = ".1.3.6.1.2.1.8.5.1.3";
    public static final String SNMP = ".1.3.6.1.2.1.11";
    public static final String SNMPINTOOBIGS = ".1.3.6.1.2.1.11.8.0";
    public static final String IFPHYSADDRESS = ".1.3.6.1.2.1.2.2.1.6";
    public static final String IFINDISCARDS = ".1.3.6.1.2.1.2.2.1.13";
    public static final String EGPNEIGHADDR = ".1.3.6.1.2.1.8.5.1.2";
    public static final String ATIFINDEX = ".1.3.6.1.2.1.3.1.1.1";
    public static final String ICMPOUTADDRMASKREPS = ".1.3.6.1.2.1.5.26.0";
    public static final String INTERFACES = ".1.3.6.1.2.1.2";
    public static final String ICMPOUTSRCQUENCHS = ".1.3.6.1.2.1.5.19.0";
    public static final String EGPNEIGHOUTERRS = ".1.3.6.1.2.1.8.5.1.7";
    public static final String IPFORWARDING = ".1.3.6.1.2.1.4.1.0";
    public static final String ATENTRY = ".1.3.6.1.2.1.3.1.1";
    public static final String SNMPINTOTALREQVARS = ".1.3.6.1.2.1.11.13.0";
    public static final String ICMPOUTMSGS = ".1.3.6.1.2.1.5.14.0";
    public static final String ICMPINMSGS = ".1.3.6.1.2.1.5.1.0";
    public static final String IPROUTEENTRY = ".1.3.6.1.2.1.4.21.1";
    public static final String IFTABLE = ".1.3.6.1.2.1.2.2";
    public static final String IPADDRENTRY = ".1.3.6.1.2.1.4.20.1";
    public static final String IPDEFAULTTTL = ".1.3.6.1.2.1.4.2.0";
    public static final String TCPRTOMAX = ".1.3.6.1.2.1.6.3.0";
    public static final String TCPMAXCONN = ".1.3.6.1.2.1.6.4.0";
    public static final String IFOPERSTATUS = ".1.3.6.1.2.1.2.2.1.8";
    public static final String TCPCONNREMPORT = ".1.3.6.1.2.1.6.13.1.5";
    public static final String IFSPECIFIC = ".1.3.6.1.2.1.2.2.1.22";
    public static final String UDPINDATAGRAMS = ".1.3.6.1.2.1.7.1.0";
    public static final String IPNETTOMEDIATYPE = ".1.3.6.1.2.1.4.22.1.4";
    public static final String SNMPINGETNEXTS = ".1.3.6.1.2.1.11.16.0";
    public static final String TCPCONNLOCALPORT = ".1.3.6.1.2.1.6.13.1.3";
    public static final String ICMPOUTERRORS = ".1.3.6.1.2.1.5.15.0";
    public static final String IPREASMTIMEOUT = ".1.3.6.1.2.1.4.13.0";
    public static final String TCPCONNREMADDRESS = ".1.3.6.1.2.1.6.13.1.4";
    public static final String SNMPINPKTS = ".1.3.6.1.2.1.11.1.0";
    public static final String SNMPINBADVALUES = ".1.3.6.1.2.1.11.10.0";
    public static final String EGPOUTMSGS = ".1.3.6.1.2.1.8.3.0";
    public static final String IPNETTOMEDIAIFINDEX = ".1.3.6.1.2.1.4.22.1.1";
    public static final String UDPNOPORTS = ".1.3.6.1.2.1.7.2.0";
    public static final String SNMPINGENERRS = ".1.3.6.1.2.1.11.12.0";
    public static final String SNMPINGETRESPONSES = ".1.3.6.1.2.1.11.18.0";
    public static final String ICMPOUTECHOS = ".1.3.6.1.2.1.5.21.0";
    public static final String IPNETTOMEDIAENTRY = ".1.3.6.1.2.1.4.22.1";
    public static final String IPREASMFAILS = ".1.3.6.1.2.1.4.16.0";
    public static final String SNMPINNOSUCHNAMES = ".1.3.6.1.2.1.11.9.0";
    public static final String SNMPOUTGETRESPONSES = ".1.3.6.1.2.1.11.28.0";
    public static final String EGPNEIGHEVENTTRIGGER = ".1.3.6.1.2.1.8.5.1.15";
    public static final String EGPNEIGHSTATE = ".1.3.6.1.2.1.8.5.1.1";
    public static final String ICMPINDESTUNREACHS = ".1.3.6.1.2.1.5.3.0";
    public static final String SNMPINREADONLYS = ".1.3.6.1.2.1.11.11.0";
    public static final String UDPINERRORS = ".1.3.6.1.2.1.7.3.0";
    public static final String ISO = ".1";
    public static final String SNMPINSETREQUESTS = ".1.3.6.1.2.1.11.17.0";
    public static final String EGPNEIGHINTERVALPOLL = ".1.3.6.1.2.1.8.5.1.13";
    public static final String ENTERPRISES = ".1.3.6.1.4.1";
    public static final String SNMPINTOTALSETVARS = ".1.3.6.1.2.1.11.14.0";
    public static final String ICMPINSRCQUENCHS = ".1.3.6.1.2.1.5.6.0";
    public static final String SNMPINGETREQUESTS = ".1.3.6.1.2.1.11.15.0";
    public static final String SNMPOUTPKTS = ".1.3.6.1.2.1.11.2.0";
    public static final String EGPNEIGHSTATEDOWNS = ".1.3.6.1.2.1.8.5.1.11";
    public static final String TCPCURRESTAB = ".1.3.6.1.2.1.6.9.0";
    public static final String EGPNEIGHMODE = ".1.3.6.1.2.1.8.5.1.14";
    public static final String SYSOBJECTID = ".1.3.6.1.2.1.1.2.0";
    public static final String IFENTRY = ".1.3.6.1.2.1.2.2.1";
    public static final String IPROUTEMETRIC1 = ".1.3.6.1.2.1.4.21.1.3";
    public static final String IPREASMOKS = ".1.3.6.1.2.1.4.15.0";
    public static final String IPNETTOMEDIAPHYSADDRESS = ".1.3.6.1.2.1.4.22.1.2";
    public static final String IPREASMREQDS = ".1.3.6.1.2.1.4.14.0";
    public static final String IPROUTINGDISCARDS = ".1.3.6.1.2.1.4.23.0";
    public static final String SNMPINBADCOMMUNITYNAMES = ".1.3.6.1.2.1.11.4.0";
    public static final String TCPCONNENTRY = ".1.3.6.1.2.1.6.13.1";
    public static final String IFOUTERRORS = ".1.3.6.1.2.1.2.2.1.20";
    public static final String IPNETTOMEDIANETADDRESS = ".1.3.6.1.2.1.4.22.1.3";
    public static final String ICMP = ".1.3.6.1.2.1.5";
    public static final String IFOUTQLEN = ".1.3.6.1.2.1.2.2.1.21";
    public static final String IFOUTNUCASTPKTS = ".1.3.6.1.2.1.2.2.1.18";
    public static final String IPROUTEDEST = ".1.3.6.1.2.1.4.21.1.1";
    public static final String IFOUTUCASTPKTS = ".1.3.6.1.2.1.2.2.1.17";
    public static final String IPINUNKNOWNPROTOS = ".1.3.6.1.2.1.4.7.0";
    public static final String INTERNET = ".1.3.6.1";
    public static final String EGPNEIGHTABLE = ".1.3.6.1.2.1.8.5";
    public static final String TCPOUTSEGS = ".1.3.6.1.2.1.6.11.0";
    public static final String EGP = ".1.3.6.1.2.1.8";
    public static final String IPINRECEIVES = ".1.3.6.1.2.1.4.3.0";
    public static final String IPROUTETABLE = ".1.3.6.1.2.1.4.21";
    public static final String ICMPINREDIRECTS = ".1.3.6.1.2.1.5.7.0";
    public static final String ICMPOUTTIMESTAMPREPS = ".1.3.6.1.2.1.5.24.0";
    public static final String MIB_2 = ".1.3.6.1.2.1";
    public static final String EGPOUTERRORS = ".1.3.6.1.2.1.8.4.0";
    public static final String TCP = ".1.3.6.1.2.1.6";
    public static final String TCPATTEMPTFAILS = ".1.3.6.1.2.1.6.7.0";
    public static final String SNMPOUTBADVALUES = ".1.3.6.1.2.1.11.22.0";
    public static final String IFINOCTETS = ".1.3.6.1.2.1.2.2.1.10";
    public static final String SYSUPTIME = ".1.3.6.1.2.1.1.3.0";
    public static final String IPROUTEIFINDEX = ".1.3.6.1.2.1.4.21.1.2";
    public static final String TCPRTOMIN = ".1.3.6.1.2.1.6.2.0";
    public static final String ICMPINECHOREPS = ".1.3.6.1.2.1.5.9.0";
    public static final String IPNETTOMEDIATABLE = ".1.3.6.1.2.1.4.22";
    public static final String IPOUTDISCARDS = ".1.3.6.1.2.1.4.11.0";
    public static final String UDP = ".1.3.6.1.2.1.7";
    public static final String ICMPOUTTIMESTAMPS = ".1.3.6.1.2.1.5.23.0";
    public static final String SNMPOUTTOOBIGS = ".1.3.6.1.2.1.11.20.0";
}
