/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.mib2;
import java.io.*;
import java.util.*;
import com.ireasoning.util.*;
import com.ireasoning.protocol.snmp.*;
import javax.management.*;

/**
 * Interface represents snmp mib object in RFC1213_MIB
 */
public interface SnmpGroupMBean extends SnmpBaseGroupMBean
{
    /**
     * Gets new snmpInPkts value
     */
    public SnmpCounter32 getSnmpInPkts();
    
    /**
     * Gets new snmpOutPkts value
     */
    public SnmpCounter32 getSnmpOutPkts();
    
    /**
     * Gets new snmpInBadVersions value
     */
    public SnmpCounter32 getSnmpInBadVersions();
    
    /**
     * Gets new snmpInBadCommunityNames value
     */
    public SnmpCounter32 getSnmpInBadCommunityNames();
    
    /**
     * Gets new snmpInBadCommunityUses value
     */
    public SnmpCounter32 getSnmpInBadCommunityUses();
    
    /**
     * Gets new snmpInASNParseErrs value
     */
    public SnmpCounter32 getSnmpInASNParseErrs();
    
    /**
     * Gets new snmpInTooBigs value
     */
    public SnmpCounter32 getSnmpInTooBigs();
    
    /**
     * Gets new snmpInNoSuchNames value
     */
    public SnmpCounter32 getSnmpInNoSuchNames();
    
    /**
     * Gets new snmpInBadValues value
     */
    public SnmpCounter32 getSnmpInBadValues();
    
    /**
     * Gets new snmpInReadOnlys value
     */
    public SnmpCounter32 getSnmpInReadOnlys();
    
    /**
     * Gets new snmpInGenErrs value
     */
    public SnmpCounter32 getSnmpInGenErrs();
    
    /**
     * Gets new snmpInTotalReqVars value
     */
    public SnmpCounter32 getSnmpInTotalReqVars();
    
    /**
     * Gets new snmpInTotalSetVars value
     */
    public SnmpCounter32 getSnmpInTotalSetVars();
    
    /**
     * Gets new snmpInGetRequests value
     */
    public SnmpCounter32 getSnmpInGetRequests();
    
    /**
     * Gets new snmpInGetNexts value
     */
    public SnmpCounter32 getSnmpInGetNexts();
    
    /**
     * Gets new snmpInSetRequests value
     */
    public SnmpCounter32 getSnmpInSetRequests();
    
    /**
     * Gets new snmpInGetResponses value
     */
    public SnmpCounter32 getSnmpInGetResponses();
    
    /**
     * Gets new snmpInTraps value
     */
    public SnmpCounter32 getSnmpInTraps();
    
    /**
     * Gets new snmpOutTooBigs value
     */
    public SnmpCounter32 getSnmpOutTooBigs();
    
    /**
     * Gets new snmpOutNoSuchNames value
     */
    public SnmpCounter32 getSnmpOutNoSuchNames();
    
    /**
     * Gets new snmpOutBadValues value
     */
    public SnmpCounter32 getSnmpOutBadValues();
    
    /**
     * Gets new snmpOutGenErrs value
     */
    public SnmpCounter32 getSnmpOutGenErrs();
    
    /**
     * Gets new snmpOutGetRequests value
     */
    public SnmpCounter32 getSnmpOutGetRequests();
    
    /**
     * Gets new snmpOutGetNexts value
     */
    public SnmpCounter32 getSnmpOutGetNexts();
    
    /**
     * Gets new snmpOutSetRequests value
     */
    public SnmpCounter32 getSnmpOutSetRequests();
    
    /**
     * Gets new snmpOutGetResponses value
     */
    public SnmpCounter32 getSnmpOutGetResponses();
    
    /**
     * Gets new snmpOutTraps value
     */
    public SnmpCounter32 getSnmpOutTraps();
    
    /**
     * Gets new snmpEnableAuthenTraps value
     */
    public int getSnmpEnableAuthenTraps();
    
    /**
     * Sets new snmpEnableAuthenTraps value
     * @param value the new value
     */
    public void setSnmpEnableAuthenTraps(int value);
    
}
