/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.mib2;
import java.io.*;
import java.util.*;
import com.ireasoning.util.*;
import com.ireasoning.protocol.snmp.*;
import javax.management.*;

/**
 * Interface represents tcpConnTable MIB object in RFC1213_MIB
 */
public interface TcpConnTableMBean extends SnmpTableMBean
{
    /**
     * Gets tcpConnState value
     * @param tcpConnEntry table entry object
     */
    public int getTcpConnState(SnmpTableEntry tcpConnEntry);
    
    /**
     * Sets new tcpConnState value
     * @param tcpConnEntry table entry object
     * @param newValue new value to be set
     */
    public void setTcpConnState(SnmpTableEntry tcpConnEntry, int newValue);
    
    /**
     * Gets tcpConnLocalAddress value
     * @param tcpConnEntry table entry object
     */
    public SnmpIpAddress getTcpConnLocalAddress(SnmpTableEntry tcpConnEntry);
    
    /**
     * Gets tcpConnLocalPort value
     * @param tcpConnEntry table entry object
     */
    public int getTcpConnLocalPort(SnmpTableEntry tcpConnEntry);
    
    /**
     * Gets tcpConnRemAddress value
     * @param tcpConnEntry table entry object
     */
    public SnmpIpAddress getTcpConnRemAddress(SnmpTableEntry tcpConnEntry);
    
    /**
     * Gets tcpConnRemPort value
     * @param tcpConnEntry table entry object
     */
    public int getTcpConnRemPort(SnmpTableEntry tcpConnEntry);
    
}
