/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.subagent;
import java.io.*;
import java.util.*;
import com.ireasoning.util.*;
import com.ireasoning.protocol.snmp.*;
import javax.management.*;

/**
 * Class represents info mib object in SubagentModule
 */
public class InfoGroup extends SnmpBaseGroup implements InfoGroupMBean
{
    // SnmpOID: .1.3.6.1.4.1.15145.1.1.1.1.0
    protected SnmpCounter64 _subagentCounter = new SnmpCounter64("12345678901234567890");
    
    /**
     * Constructor
     * @param root SnmpOID tree root
     * @param oid the SnmpOID of this group
     * @param args the objects passed from caller for Initialization purpose
     */
    public InfoGroup(OIDTreeNode root, String oid, Object [] args)
    {
        super(root, oid);
        // TODO: Add your implementation
    }
    
    /**
     * Gets new subagentCounter value
     * @param pdu the received SnmpPdu object
     */
    public synchronized SnmpCounter64 getSubagentCounter(SnmpPdu pdu)
    {
        // TODO: Add your implementation
        return this._subagentCounter;
    }
    
    /**
     * Sets new subagentCounter value
     * @param value the new value
     * @param pdu the received SnmpPdu object
     */
    public synchronized void setSubagentCounterValue(Object newValue, SnmpPdu pdu)
    {
        // TODO: Add your implementation
        this._subagentCounter = (SnmpCounter64) newValue;
    }
    
}
