/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.subagent;
import com.ireasoning.protocol.snmp.*;
public class OIDTree
{
    private static OIDTreeNode _root = null;
    
    public static OIDTreeNode getTree()
    {
        if(_root != null) return _root;
        OIDTreeNode node_SubagentModule = new OIDTreeNode("");
        node_SubagentModule.setMibNodeName("SubagentModule");
        OIDTreeNode node_iso = (OIDTreeNode) node_SubagentModule.addChild(".1");
        node_iso.setMibNodeName("Iso");
        OIDTreeNode node_org = (OIDTreeNode) node_iso.addChild(".1.3");
        node_org.setMibNodeName("Org");
        OIDTreeNode node_dod = (OIDTreeNode) node_org.addChild(".1.3.6");
        node_dod.setMibNodeName("Dod");
        OIDTreeNode node_internet = (OIDTreeNode) node_dod.addChild(".1.3.6.1");
        node_internet.setMibNodeName("Internet");
        OIDTreeNode node_private = (OIDTreeNode) node_internet.addChild(".1.3.6.1.4");
        node_private.setMibNodeName("Private");
        OIDTreeNode node_enterprises = (OIDTreeNode) node_private.addChild(".1.3.6.1.4.1");
        node_enterprises.setMibNodeName("Enterprises");
        OIDTreeNode node_ireasoning = (OIDTreeNode) node_enterprises.addChild(".1.3.6.1.4.1.15145");
        node_ireasoning.setMibNodeName("Ireasoning");
        node_ireasoning.setGroupNode(true);
        OIDTreeNode node_subagentModule = (OIDTreeNode) node_ireasoning.addChild(".1.3.6.1.4.1.15145.1");
        node_subagentModule.setMibNodeName("SubagentModule");
        OIDTreeNode node_subagentObjects = (OIDTreeNode) node_subagentModule.addChild(".1.3.6.1.4.1.15145.1.1");
        node_subagentObjects.setMibNodeName("SubagentObjects");
        node_subagentObjects.setGroupNode(true);
        OIDTreeNode node_info = (OIDTreeNode) node_subagentObjects.addChild(".1.3.6.1.4.1.15145.1.1.1");
        node_info.setMibNodeName("Info");
        node_info.setGroupNode(true);
        OIDTreeNode node_subagentCounter = (OIDTreeNode) node_info.addChild(".1.3.6.1.4.1.15145.1.1.1.1.0");
        node_subagentCounter.setMibNodeName("SubagentCounter");
        node_subagentCounter.setScalarNode(true);
        node_subagentCounter.setRealSyntaxType( (byte) 6);
        node_subagentCounter.setObjectName("iReasoning:name=InfoGroup");
        node_subagentCounter.setAccess(2);
        OIDTreeNode node_subagentTable = (OIDTreeNode) node_subagentObjects.addChild(".1.3.6.1.4.1.15145.1.1.2");
        node_subagentTable.setMibNodeName("SubagentTable");
        node_subagentTable.setObjectName("iReasoning:name=SubagentTable");
        node_subagentTable.setTableNode(true);
        OIDTreeNode node_subagentEntry = (OIDTreeNode) node_subagentTable.addChild(".1.3.6.1.4.1.15145.1.1.2.1");
        node_subagentEntry.setMibNodeName("SubagentEntry");
        OIDTreeNode node_subagentIndex = (OIDTreeNode) node_subagentEntry.addChild(".1.3.6.1.4.1.15145.1.1.2.1.1");
        node_subagentIndex.setMibNodeName("SubagentIndex");
        node_subagentIndex.setTableColumnNode(true);
        node_subagentIndex.setRealSyntaxType( (byte) 2);
        node_subagentIndex.setObjectName("iReasoning:name=SubagentTable");
        node_subagentIndex.setAccess(0);
        OIDTreeNode node_subagentAddress = (OIDTreeNode) node_subagentEntry.addChild(".1.3.6.1.4.1.15145.1.1.2.1.2");
        node_subagentAddress.setMibNodeName("SubagentAddress");
        node_subagentAddress.setTableColumnNode(true);
        node_subagentAddress.setRealSyntaxType( (byte) 8);
        node_subagentAddress.setObjectName("iReasoning:name=SubagentTable");
        node_subagentAddress.setAccess(3);
        OIDTreeNode node_subagentDescr = (OIDTreeNode) node_subagentEntry.addChild(".1.3.6.1.4.1.15145.1.1.2.1.3");
        node_subagentDescr.setMibNodeName("SubagentDescr");
        node_subagentDescr.setTableColumnNode(true);
        node_subagentDescr.setRealSyntaxType( (byte) 1);
        node_subagentDescr.setObjectName("iReasoning:name=SubagentTable");
        node_subagentDescr.setAccess(3);
        OIDTreeNode node_subagentUpTime = (OIDTreeNode) node_subagentEntry.addChild(".1.3.6.1.4.1.15145.1.1.2.1.4");
        node_subagentUpTime.setMibNodeName("SubagentUpTime");
        node_subagentUpTime.setTableColumnNode(true);
        node_subagentUpTime.setRealSyntaxType( (byte) 7);
        node_subagentUpTime.setObjectName("iReasoning:name=SubagentTable");
        node_subagentUpTime.setAccess(2);
        OIDTreeNode node_subagentStatus = (OIDTreeNode) node_subagentEntry.addChild(".1.3.6.1.4.1.15145.1.1.2.1.5");
        node_subagentStatus.setMibNodeName("SubagentStatus");
        node_subagentStatus.setTableColumnNode(true);
        node_subagentStatus.setRealSyntaxType( (byte) 2);
        node_subagentStatus.setObjectName("iReasoning:name=SubagentTable");
        node_subagentStatus.setAccess(3);
        OIDTreeNode node_subagentTraps = (OIDTreeNode) node_subagentObjects.addChild(".1.3.6.1.4.1.15145.1.1.3");
        node_subagentTraps.setMibNodeName("SubagentTraps");
        node_subagentTraps.setGroupNode(true);
        OIDTreeNode node_subagentChangedTrap = (OIDTreeNode) node_subagentTraps.addChild(".1.3.6.1.4.1.15145.1.1.3.1");
        node_subagentChangedTrap.setMibNodeName("SubagentChangedTrap");
        _root = node_SubagentModule ;
        return node_SubagentModule;
    }
}
