/*
 * Copyright (c) 2002-2003 iReasoning Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by iReasoning Inc. as part
 * of an iReasoning Software product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of iReasoning Inc.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD IREASONING SOFTWARE, ITS
 * RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR
 * DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR
 * DERIVED FROM THIS SOURCE CODE FILE.
 */

package agent.subagent;
import java.io.*;
import java.util.*;
import com.ireasoning.util.*;
import com.ireasoning.protocol.snmp.*;
import javax.management.*;

/**
 * Interface represents subagentTable MIB object in SubagentModule
 */
public interface SubagentTableMBean extends SnmpTableMBean
{
    /**
     * Gets subagentAddress value
     * @param subagentEntry table entry object
     * @param pdu the received SnmpPdu object
     */
    public SnmpIpAddress getSubagentAddress(SnmpTableEntry subagentEntry, SnmpPdu pdu);
    
    /**
     * Sets new subagentAddress value
     * @param subagentEntry table entry object
     * @param newValue new value to be set
     * @param pdu the received SnmpPdu object
     */
    public void setSubagentAddressValue(SnmpTableEntry subagentEntry, Object newValue, SnmpPdu pdu);
    
    /**
     * Gets subagentDescr value
     * @param subagentEntry table entry object
     * @param pdu the received SnmpPdu object
     */
    public String getSubagentDescr(SnmpTableEntry subagentEntry, SnmpPdu pdu);
    
    /**
     * Sets new subagentDescr value
     * @param subagentEntry table entry object
     * @param newValue new value to be set
     * @param pdu the received SnmpPdu object
     */
    public void setSubagentDescrValue(SnmpTableEntry subagentEntry, Object newValue, SnmpPdu pdu);
    
    /**
     * Gets subagentUpTime value
     * @param subagentEntry table entry object
     * @param pdu the received SnmpPdu object
     */
    public SnmpTimeTicks getSubagentUpTime(SnmpTableEntry subagentEntry, SnmpPdu pdu);
    
    /**
     * Gets subagentStatus value
     * @param subagentEntry table entry object
     * @param pdu the received SnmpPdu object
     */
    public int getSubagentStatus(SnmpTableEntry subagentEntry, SnmpPdu pdu);
    
    /**
     * Sets new subagentStatus value
     * @param subagentEntry table entry object
     * @param newValue new value to be set
     * @param pdu the received SnmpPdu object
     */
    public void setSubagentStatusValue(SnmpTableEntry subagentEntry, Object newValue, SnmpPdu pdu);
    
}
